2022-03-21  Karl Berry  <karl@tug.org>

	* TL'22 release.

2022-03-10  Karl Berry  <karl@freefriends.org>

	* tfmload.c (tfmopen): include area when searching, as with pkopen.
	Report from Igor Liferenko, 9 Mar 2022 13:43:48.
	
	* loadfont.c (pkopen): "PK font" in error message when not found.

2022-02-27  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* tfmload.c:
	Interpret FONTDIR RT in OFM as pTeX vertical writing.
	https://github.com/texjporg/tex-jp-build/issues/135
	* Makefile.{am,in}, uptex-vf.test,
	testdata/Makefile_upjf, testdata/upjf-g00.{opl,ofm},
	testdata/upjf-g00.{opl,ofm}:
	Add a new test for pTeX & OFM FONTDIR.

2022-02-24  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* Makefile.{am,in}, uptex-vf.test,
	testdata/Makefile_upjf, testdata/upjv{,-r,-g}.tfm,
	testdata/upjf.{tex,dvi,map}, testdata/upjv_{full,omit}.vf:
	Add a new test for upTeX vertical writing.

2022-01-22  Tomas Rokicki  <rokicki@gmail.com>
	
	* dvips.c (landscaperotate): define new global for new option.
	(helparr): mention it in help message.
	(main): recognize -landscaperotate command-line option.
	* protos.h (landscaperotate): declare it.
	* dvips.texi (Option details, Configuration file commands,
	Config file paper sizes): document it.
	* output.c (findpapersize): only do the rotation auto-matching
	if option is set.
	* resident.c (getdefaults): recognize "landscaperotate" in config file.
	* NEWS: mention it.
	Report from Ulrike Fischer, 26 Jul 2021 09:11:29 ff.

2022-01-18  Karl Berry  <karl@freefriends.org>

	* NEWS,
	* afm2tfm.c,
	* dvips.c,
	* dvips.h,
	* dvips.texi,
	* configure.ac: version 2022.1 and copyright 2022.

2021-11-03  Karl Berry  <karl@freefriends.org>

	* dvips.texi: PostScript not Postscript; remove broken urls;
	a couple other typos.

2021-10-24  Karl Berry  <karl@freefriends.org>

	* dvips.texi (Option details) <-l>: describe [.PAGESEQ] subvalue.
	<-p>: Just refer to -l instead of duplicating.
	* dvips.1: likewise.
	Report from Igor Liferenko, 20 Aug 2021 10:13:32.

2021-09-28  Karl Berry  <karl@freefriends.org>

	* dvips.texi (Option details) <-h>: mention that inclusion happens
	in the order given.
	(Configuration file commands) <h>: emphasize that standard headers
	are not included.
	Report from Igor Liferenko, tex-k 28 Sep 2021 14:39:22.

2021-04-11  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* dvips.h, configure.ac:
	Add TeX Live version to banner.

2021-04-10  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* {pprescan,scanpage}.c:
	Fix bug in fallback multibyte character in virtual font for (u)pTeX.
	Thanks 流橋 利樹-san for the report.
	https://oku.edu.mie-u.ac.jp/tex/mod/forum/discuss.php?d=3068

2021-03-23  Karl Berry  <karl@tug.org>

	* TL'21.

2021-02-17  Karl Berry  <karl@freefriends.org>

	* NEWS,
	* afm2tfm.c,
	* dvips.c,
	* dvips.h,
	* dvips.texi,
	* configure.ac: version 2021.1 and copyright 2021.

2021-02-09  Karl Berry  <karl@freefriends.org>

	* test-afm2tfm.test: rewrite as shell script.
	* afm2tfm-test.pl: remove.
	* Makefile.am (TESTS, etc.): adapt accordingly.

2021-02-08  Karl Berry  <karl@freefriends.org>

	* configure.ac (AC_INIT): TeX Live not TeXLive.

	* dvips.c (found_problems): define.
	(main): final exit status depends on its value.
	* protos.h (found_problems): declare.
	* output.c (copyfile_general): set found_problems=1 if image not found.
	This is to match the new behavior of dvipdfmx.
	https://tug.org/pipermail/dvipdfmx/2021-January/000159.html (thread)
	
	* test-missing-image.test: corresponding test.
	* testdata/missing-image.dvi,
	* testdata/missing-image.tex: files for new test.

2020-12-05  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* NEWS: Mention new/jfm feature.
	* dospecial.c:
	Output error of html special not to STDOUT but to STDERR.
	* dvips.h, {bitmapenc,color,dopage,dospecial,download,dvips,
	emspecial,finclude,fontdef,header,loadfont,output,pprescan,prescan,
	resident,scanpage,search,t1part,virtualfont,writet1}.c:
	Allow Unicode error messages on Windows console. (Windows only)

2020-11-28  Akira Kakuto  <kakuto@w32tex.org>

	* protos.h (titlename): new global.
	* dvips.c (titlename): new global.
	(helparr): new option -title.
	(main): recognize it.
	* output.c (initprinter) <%%Title>: use xbasename(iname) instead of
	iname by default.

2020-11-28  Karl Berry  <karl@freefriends.org>

	* dvips.texi (Option details): document -title.

2020-11-28  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* virtualfont.c:
	Accept Japanese virtual fonts without character definitions.
	https://github.com/texjporg/tex-jp-build/issues/99

2020-05-20  Karl Berry  <karl@freefriends.org>

	* dvips.texi (Virtual fonts): add brief mention of this new vf/jfm
	feature, from Takuji. Update all ctan links while here.

2020-05-10  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* uptex-vf.test, testdata/upjf.{tex,dvi,tfm},
	testdata/upjf_{full,omit}.vf, testdata/upjf_{full,omit}.cnf:
	Update the test.

2020-04-26  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* Makefile.{am,in}, uptex-vf.test,
	testdata/Makefile_upjf, testdata/upjf{,-r,-g}.tfm,
	testdata/upjf.{tex,dvi,map}, testdata/upjf_{full,omit}.vf,
	testdata/upjf_{full,omit}.cnf:
	Add a new test for fallback of virtual fonts.

2020-04-19  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* {virtualfont,pprescan,scanpage,dopage}.c, dvips.h:
	Fallback multibyte character in virtual font for (u)pTeX.
	https://github.com/texjporg/tex-jp-build/issues/99

	A new rule for virtual fonts is implemented:
	If a virtual font has no entry of a codepoint and the first
	MAPFONT designates a (u)pTeX TFM(JFM), then we designate the
	glyph (usually with a fullwidth metric) of the same codepoint
	in the TFM(JFM) with the smallest font ID.
	The new rule helps to shrink size of Japanese virtual fonts.

2020-04-10  Akira Kakuto  <kakuto@w32tex.org>

	* dospecial.c: Support \special{psfile=non-ascii-name}.

2020-03-27  Karl Berry  <karl@tug.org>

	* TeX Live 2020.

2020-02-29  Tomas Rokicki  <rokicki@gmail.com>

	* loadfont.c (bitmapfontseen): define new global.
	(loadfont): set it, if a bitmap font is seen.
	* protos.h (bitmapfontseen): declare it.
	* output.c (initprinter): If bitmapfontseen, emit
	%%ViewingOrientation comment to try to cope with Distiller's
        auto-orientation (page rotation).

2020-01-30  Karl Berry  <karl@freefriends.org>

	* Makefile.am (enc_DATA): new variable, for new file dvips-all.enc.
	* configure.ac (encdir): define it.

2020-01-30  Akira Kakuto  <kakuto@w32tex.org>

	* bitmapenc.c: use strchr() instead of index(), because index()
	is not supported in Visual Studio 2010.

2020-01-29  Tomas Rokicki  <rokicki@gmail.com>
	
	* bitmapenc.c (struct bmenc): new member existsbm.
	(parseencodingfile): rename from parseencoding; change calls.
	(trytoparseenc),
	(parseenc): new fns.
	(addbmenc): call parseenc.
	(getencoding_seq): change type to struct bmenc.
	(downloadbmencoding): check that every defined character has a name.
	(doubleout): take double instead of float.
	* dvips-all.enc: more fonts.
	* dvips.c (-bitmapfontenc): rename option from -J.
	* dvips.texi: adjust documentation.
	* resident.c (get_defaults): new case b for bitmapfontenc,
	renamed from J.

2020-01-16  Karl Berry  <karl@freefriends.org>

	* afm2tfm.c,
	* dvips.c,
	* configure.ac: version 2020.1 and copyright 2020.

2020-01-12  Akira Kakuto  <kakuto@w32tex.org>

	* bitmapenc.c, download.c: Support old compilers, by declaring
	variables early in a block.

2020-01-11  Tomas Rokicki  <rokicki@gmail.com>

	Support encodings for bitmapped fonts, e.g., when cmr10
	is used as a bitmap. TUGboat article:
	https://tug.org/TUGboat/tb40-2/tb125rokicki-type3search.pdf
	
	* dvips-all.enc,
	* bitmapenc.c: new files.
	* Makefile.am (dvips_SOURCES): add it.
	* dosection.c (dosection): call bmenc_startsection.
	* download.c (unpack_bb): new fn.
	(downchar): call unpack_bb.
	(download): call downloadbmencoding .. finishbitmapencoding
	if needed.
	* dvips.c (helparr): new option -J to control feature.
	* dvips.h (tfd): new integer members llx, lly, urx, urx.
	* dvips.texi (Option details): describe -J option.
	(Configuration file commands): describe J config directive.
	(Bitmap font encodings): new section.
	* loadfont.c (loadfont): initialize and update global font
	bounding box, to set font sizes for the new bitmap encodings.
	* output.c (psnameout, pslineout): new fns.
	* protos.h: add declarations for the various new fns and
	variable encodetype3.
	* resident.c (getdefaults): handle J directive.

2019-05-03  Akira Kakuto  <kakuto@w32tex.org>

	* dvips.c, output.c, search.c: Support non-ascii file names
	in default code page of OS irrespective of values of a
	variable 'command_line_encoding' (Windows only).

2019-04-30  Karl Berry  <karl@tug.org>

	* dosection.c (dosection): close PostScript string constant
	for long filenames. tex-k mail from Arnaud Blouin,
	24 Apr 2019 13:54:10.

2019-04-07  Karl Berry  <karl@freefriends.org>

	* TeX Live 2019.

2019-04-05  Karl Berry  <karl@tug.org>

	* dospecial.c (dospecial): off by one with PSFILESIZ.
	Report from Andy Nguyen of ETH Zurich.

2019-03-30  Karl Berry  <karl@freefriends.org>

	* emspecial.c (bmpgraph): avoid writing after isblack
	if clrtablesize is >256.
	Report from Andy Nguyen of ETH Zurich.

2019-03-29  Karl Berry  <karl@freefriends.org>

	* loadfont.c (errbuf),
	* protos.h (errbuf): increase to 1500.
	* dospecial.c,
	* flib.c,
	* makefont.c,
	* output.c,
	* pprescan.c,
	* scanpage.c,
	* tfmload.c: limit sprintf %s arguments into buffers.

	* dospecial.c (dospecial) <bare psfile>: reverse sense of maccess
	test, as intended; check for buffer overflow.
	(maccess): add doc.

	* color.c (colorcmdout),
	* dospecial.c (dospecial) <epsfile>, <postscriptbox>, <psfile>:
	check for buffer overflows.
	* test-overflow-buffers.test,
	* testdata/color.pro,
	* testdata/overflow-color-push.dvi,
	* testdata/overflow-color-push.tex,
	* testdata/overflow-epsfile.dvi,
	* testdata/overflow-epsfile.tex,
	* testdata/overflow-psbox.dvi,
	* testdata/overflow-psbox.tex: new test files and support.
	* Makefile.am (TESTS, EXTRA_DIST, DISTCLEANFILES): add new tests.
	Report from Andy Nguyen of ETH Zurich.

2019-02-26  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* afm2tfm.c: Forbid too long file name.

2019-02-11  Karl Berry  <karl@tug.org>

	* dvips.texi,
	* dvips.h,
	* configure.ac,
	* afm2tfm.c: 5.999 for TL'19.

2018-10-24  Karl Berry  <karl@tug.org>

	* writet1.c (t1_check_unusual_charstring): don't call
	strlen(t1_buf_array) if it is null.
	From Luigi, 22 Oct 2018 22:43:03.

2018-09-18  Nick Roessler  <nicholas.e.roessler@gmail.com>

	* writet1.c (t1_check_unusual_charstring): protect against buffer
	overflow.

2018-04-14  Karl Berry  <karl@tug.org>

	* Version 5.998 for TeX Live 2018 release.

2018-02-20  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* color.c (colorpage),
	* dospecial.c (bangspecial),
	* dvips.h (header_list):	
	don't use ersatz array as last struct member; change usage.
	Reported (implicitly, as part of)
	https://trac.macports.org/ticket/53974

2018-01-27  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

	* tfmload.c, dvips.h: Support new JFM spec (3-byte characters
	in TYPE > 0).

2017-05-19  Karl Berry  <karl@tug.org>

	* Version 5.997 for TeX Live 2017 release.

2017-03-27  Karl Berry  <karl@freefriends.org>

	* Makefile.am (AM_TESTS_ENVIRONMENT): use instead of TESTS_ENVIRONMENT.

2017-03-22  Karl Berry  <karl@tug.org>

	* dvips.texi: don't claim -q quiets standard error.
	Report from Igor Liferenko.

2017-03-21  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dvips.c: Show information and exit if dvips finds options
	--help or --version. Report from Igor Liferenko:
	http://tug.org/pipermail/tex-k/2017-March/002748.html

2017-03-18  Karl Berry  <karl@tug.org>

	* configure.ac,
	* NEWS
	* dvips.c,
	* dvips.h,
	* afm2tfm.c,
	* dvips.texi: version 5.997 for TL17.

2017-02-28  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dvips.c: In the case of -T option, reverse the default in the change
	made on 2016-11-01. Thanks Ulrike Fischer:
	http://tug.org/pipermail/tex-live/2017-February/039743.html.

2016-12-13  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* emspecial.c: Fix a bug in emspecial(), reported by Norbert Klingen:
	http://tug.org/pipermail/tex-live/2016-December/039483.html.

2016-11-08  Karl Berry  <karl@freefriends.org>

	* dvips.texi,
	* NEWS: document new papersize special behavior and options.
	Original report at http://tex.stackexchange.com/questions/336545.

2016-11-01  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dospecial.c, dvips.c, dvips.help, protos.h, resident.c:
	Add a new option -L*  Last special papersize wins.
	dvips -L0 ... gives the old behavior.

2016-10-30  Karl Berry  <karl@tug.org>

	* output.c (INVALID_EPOCH_VALUE): define as (time_t) -1,
	to avoid warning with huge unsigned value on 32-bit systems.
	(open_output): don't duplicate writing of %%CreationDate.

	* dvips.texi (Invoking Dvips): TEXCONFIG does not include
	. by default.

2016-07-15  Karl Berry  <karl@tug.org>

	* config.ps (ieeecs): new paper size for IEEE Computer Society
	Journals, requested by Michael Shell for his IEEEtran,
	13 Jul 2016 20:04:25.

2016-06-29  Karl Berry  <karl@tug.org>

	* dvips.texi: remove idvi reference, long gone.

2016-05-20  Karl Berry  <karl@tug.org>

	* Version 5.996 for TeX Live 2016.

2016-05-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: Avoid to crash for too large a value of SOURCE_DATE_EPOCH
	(w32 only). 

2016-05-04  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: Support SOURCE_DATE_EPOCH for %%CreationDate.

2016-03-24  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* writet1.c: Fix one-byte buffer overflow bug reported by Hanno Boeck:
	http://tug.org/pipermail/tex-live/2016-January/037686.html.

2016-02-01  Karl Berry  <karl@tug.org>

	* dvips.1,
	* afm2tfm.1: ask for bug reports to go to tex-k.

2016-01-21  Karl Berry  <karl@freefriends.org>

	* dvips.texi (Afm2tfm options) <-a>: document new option.
	* afm2tfm.c (openfiles): new option -a.
	(USAGE): include it in list for --help.
	(noaccentheightadjust): new global to remember it.
	(texheight): do nothing if -a is specified,
	or if the heuristically-guessed height is less than the original.
	Bug report from Michael Sharpe.

2015-07-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* test-dvips (removed): Renamed ...
	* test-dvips.test (new): ... into this.
	* Makefile.am: Better dependencies for 'make check'.

2015-07-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Better dependencies for 'make check'.

2015-05-21  Karl Berry  <karl@tug.org>

	* version 5.995 for TL'15.

2015-04-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (EXTRA_DIST): Adapted.

2015-04-17  Karl Berry  <karl@tug.org>

	* contrib/PSTricks: remove this ancient copy of a PSTricks README.
	* special.lpro (/psfts, /startTexFig, /doclip, /endTexFig):
	remove these defns from (obsolete and nonfree) psfig.
	* testdata/special.pro: regenerate.
	* dvips.texi (Why Dvips): remove paragraph about psfig and
	other features that are no longer especially interesting.
	Report from Werner Fink, 14 Apr 2015 17:16:23.

2015-03-15  Karl Berry  <karl@tug.org>

	* configure.ac,
	* NEWS
	* dvips.c,
	* dvips.h,
	* afm2tfm.c,
	* dvips.texi: version 5.995 for TL'15.

2015-02-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use the fragment ../../am/dist_hook.am.

2014-07-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* t1part.c, t1part.h: Rename _HUGE => BORLAND_HUGE to avoid
	conflicting names.

2014-06-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* afm2tfm.c, dospecial.c, emspecial.c, resident.c, writet1.c:
	Avoid undefined behaviour when char is signed.

2014-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* {,squeeze/}Makefile.am: Drop the obsolete ACLOCAL_AMFLAGS.

2014-04-17  Karl Berry  <karl@tug.org>

	* version 5.994 for TL'14.

2014-01-27  TANAKA Takuji  <KXD02663@nifty.ne.jp>

	* dvips.c: Revise procedure of reading command line arguments.
	(Windows only)

2014-01-13  TANAKA Takuji  <KXD02663@nifty.ne.jp>

	* dvips.c, resident.c: Allow multibyte string with 0x5c
	in CP932-like system. (Windows only)
	* dvips.c, output.c, search.c: Allow Unicode file names.
	(Windows only)

2013-09-16  Karl Berry  <karl@tug.org>

	* writet1.c: formatting tweaks.

2013-08-31  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* writet1.c (t1_subset_ascii_part): Remove UniqueID.
	Report from Christian Zietz (czietz/gmx/net),
	tex-k 01 Sep 2013 11:25:47 and previous.

2013-08-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* bbox.c: Fix a bug in bbdopage() to obtain correct BoundingBox in
	vertical mode of pTeX.

2013-05-30  Karl Berry  <karl@tug.org>
	
	* version 5.993 for TL'13.

2013-04-07  Karl Berry  <karl@tug.org>

	* resident.c (getdefaults) <m>: if <= 0, set to INT_MAX.
	Bug report from Stepan Orevkov and Bruno Delprat, as part
	of their Mayan TeX system (info on which:
	http://tug.org/TUGboat/tb33-3/tb105delprat.pdf).
	
        It seems there is a bug related to Dvips' section splitting and
        partial font downloading/font reuse, such that only the
        characters from the first section are available through the
        entire output.  I wasn't up for dealing with that; as a
        workaround, the above maximizes Dvips' memory available, so no
        splitting is done.
         
2013-04-05  Karl Berry  <karl@tug.org>

	* configure.ac,
	* dvips.texi,
	* dvips.h,
	* afm2tfm.2c: 5.993 to prepare for TL'13 pretest.

2013-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* same-name.test: New test with oname == iname.
	* Makefile.am: Add the new test.

2013-03-18  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dvips.c: Check if oname != iname.

2013-02-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (prologdir): Change texmf => texmf-dist.

2013-01-21  Karl Berry  <karl@tug.org>

	* test-dvips: rename from dvips.test, to avoid new Automake 1.13
	make check failure, since it can't create dvips.log in the
	event that dvips.log already exists (from running dvips.texi).
	Even though one is in the srcdir and one in the builddir ...
	Use test-dvips rather than dvips-test just to help filename completion.
	* Makefile.am (TESTS): rename.

2013-01-18  Karl Berry  <karl@tug.org>

	* writet1.c: apply diffs (cast removals) from pdftex.

2012-12-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* squeeze/Makefile.am: Enable silent rules.

2012-12-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* finclude.c: Drop unused variable (gcc-4.6 warning).

2012-11-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-08-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ptexmac.h: Drop unused definition of M_PI & Co.

2012-07-01  Karl Berry <karl@freefriends.org>

	* Release of 5.992 for TeX Live 2012.

2012-04-01  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dvips.c: do not free getenved string.

2012-03-30  Norbert Preining  <preining@logic.at>

	* resident.c: add new directive "c<filename> to config files, allowing
	to include other config files.
	* dvips.texi: document it.
	* contrib/config.proto: add example.
	 
2012-03-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Fixed a typo (in comment).

2011-12-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Replace ${prefix}/texmf => $(datarootdir)/texmf.

2011-10-20  Werner Fink <werner@suse.de>

	* dospecial.c (fgetboundingbox): Increase `buf' size to avoid
	overrun.

2011-10-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (EXTRA_DIST, DISTCLEANFILES): Make sure that
	'make distclean' removes all generated files.

2011-07-26  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* bbox.c, dopage.c, dvips.c, pprescan.c, scanpage.c, dvips.1,
	dvips.help, dvips.info and dvips.texi: pTeX with otf package
	by S. Saito requires set2, put2, and independent options
	-noomega and -noptex.

2011-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* afm2tfm.c (openfiles), resident.c (residentfont): Allow
	find_suffix() to return a const string.

2011-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* protos.h, loadfont.c (pkopen), search.c (pksearch): Declare
	font name as const.

2011-05-06  Karl Berry  <karl@tug.org>

	* writet1.c: update copyright as in pdftexdir.

2011-04-25  Karl Berry  <karl@tug.org>

	* afm2tfm.c (version),
	* dvips.h (BANNER): 5.991 for TeX Live 2011.
	
	* dvips.texi,
	* dvips.1: do not suggest that the default output is to lpr.

2011-02-25  Karl Berry  <karl@tug.org>

	* drawPS.c (flushDashedPath): cast to double before squaring,
	to avoid integer overflow.  (I guess this was hidden before by the
	assignment cast to float?  Said to work in 2009, failed in 2010.)
	* eepic-nan.test,
	* testdata/eepic-nan.tex,
	* testdata/eepic-nan.dvi,
	* testdata/config.pdf,
	* testdata/alt-rule.pro,
	* testdata/tex.pro: new files to test.  Report from Stefan Moser
	to mactex-support, 20 Oct 2010 02:37:45.
	* Makefile.am (tests): add eepic-nan,
	(EXTRA_DIST): add new files.

2011-02-14  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: print R2 mode message only when secure == 2.

2011-01-29  Karl Berry  <karl@tug.org>

	* search.c (search): report the actual popen call if D_FILES.
	* quotecmd.tex: make test filename match quotecmd-test.pl.
	* quotecmd.dvi: regenerate.
	* quotecmd-test.pl: doc fixes.

2011-01-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Add testdata/quotecmd.dvi to EXTRA_DIST.

2011-01-28  Karl Berry  <karl@tug.org>

	* quotecmd-test.pl, testdata/quotecmd.tex: doc fixes.
	* testdata/quotecmd.dvi: add to repo, since the test relies on
	this file existing.

2010-12-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* writet1.c: Still more tweaks. Remove unused code and vars.

2010-11-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* writet1.c: Further reduce diffs against pdftex's writet1.c.
	Declare t1_encoding as enum instead of int.
	Change t1_builtin_enc() from void to char **.

	* writet1.c, protos.h: Replace void load_enc(char *, const char **)
	by char **load_enc_file(char *).
	* download.c (getEncoding): Adapt, and change result to non-const.
	Somewhat better use of DOWNLOAD_USING_PDFTEX.

2010-11-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* writet1.c (t1_check_unusual_charstring): Drop unused variable.

2010-11-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* writet1.c: Still more minor tweaks.

2010-11-26  Thanh Han The  <thanh@river-valley.org>

	* writet1.c (t1_check_unusual_charstring): switch EOL to space
	before appending.

2010-11-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* writet1.c: Still more formatting tweaks.

2010-11-14  Karl Berry  <karl@tug.org>

	* writet1.c: endless formatting tweaks.

2010-11-13  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* download.c: Change i<MAX_CHAR_CODE into i<=MAX_CHAR_CODE, because
	MAX_CHAR_CODE is 255 now.

2010-11-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* download.c [MAX_CHAR_CODE]: Define as 255 (not 256).

	* writet1.c: More formatting and other trivial changes, to
	further reduce diffs against pdftex's writet1.c.

2010-11-12  Karl Berry  <karl@tug.org>

	* writet1.c: formatting changes only, to reduce diffs against
	pdftex's writet1.c.

2010-11-11  Thanh Han The  <thanh@river-valley.org>

	* writet1.c (t1_check_unusual_charstring): new fn.
	(t1_subset_charstrings): call it.  This resolves a bug reported by
	Knuth when there is a newline between the /CharStrings and the
	following number (dict size).

2010-10-23  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c (hvpos): simplify the change 2010-10-22.
	Many thanks Peter.

2010-10-22  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c (hvpos): recover the old code in hvpos() for japanese
	because the changed code leads to incorrect result in some cases.
	other cases than japanese are not affected.

2010-10-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* search.c (selfautoloc_prog): #include <kpathsea/concatn.h>
	for WIN32 and drop cast of concatn() results.

2010-06-19  Yan Li  <yan.i.li@intel.com>

	* tfmload.c (name): increase size to 500.
	(tfmopen): check for name length overflow.

2010-06-13  Karl Berry  <karl@tug.org>

	* dvips.texi: update for 2010.

2010-06-04  Karl Berry  <karl@tug.org>

	* afm2tfm.c (version),
	* dvips.h (BANNER): 5.99 for TeX Live 2010 (pretest 2, maybe final).

2010-05-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* config.ps: include cid-base.map.

2010-05-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* search.c: quote command in W32 case to allow path name
	with spaces.

2010-05-18  Karl Berry  <karl@tug.org>

	* config.h (type1path): rename from type1.
	* writet1.c (t1_open): use type1path, not headerpath.

	* configure.ac (AC_INIT),
	* afm2tfm.c: (version),
	* dvips.c (main), 
	* dvips.h (BANNER): 5.99/pretest, 2010.

2010-05-14  Karl Berry  <karl@tug.org>

	* resident.c,
	* output.c: more sprintf -> snprintf.

2010-05-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvips.h [SET_BINARY]: Add cast to void.
	* afm2tfm.c, finclude.c, output.c, search.c (SET_BINARY): Once
	again remove casts to void.

2010-05-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* all files: Remove more useless casts to void.

	* afm2tfm.c, finclude.c, output.c, search.c: Reintroduce a few
	casts to void, to avoid warnings (statement has no effect).

2010-05-10  Karl Berry  <karl@tug.org>

	* drawPS.c,
	* flib.c,
	* finclude.c,
	* afm2tfm.c,
	* hps.c,
	* emspecial.c,
	* dospecial.c: more snprintf.

	* all files: remove useless casts to void.

	* dosection.c (dosection),
	* dospecial.c (dospecial): use snprintf, just in case.

2010-05-07  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: correct wrong boundary values of characters.
	(from Takuji Tanaka <KXD02663@nifty.ne.jp>.)
	* protos.h, dvips.c, output.c, resident.c: remove unnecessary SJIS option.
	(from Takuji Tanaka <KXD02663@nifty.ne.jp>.)
	(a commit r18123 seemes to be eliminated, so try again)

2010-05-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dosection.c (dosection): Add newline before "@start".
	* testdata/*.pro, testdata/*.xps: Updated.

2010-05-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* bbox.c: Declare functions used only in this file as static,
	remove trailing whitespace.
	* color.c: The same.
	* dosection.c: The same.
	* dospecial.c: The same.
	* dpicheck.c: The same.
	* drawPS.c: The same.
	* dviinput.c: The same.
	* dvips.c: The same.
	* emspecial.c: The same.
	* finclude.c: The same.
	* header.c: The same.
	* hps.c: The same.
	* loadfont.c: The same.
	* output.c: The same.
	* papersiz.c: The same.
	* repack.c: The same.
	* resident.c: The same.
	* t1part.c: The same.
	* tfmload.c: The same.
	* unpack.c: The same.
	* virtualfont.c: The same.
	* writet1.c: The same. Skip compilation of unused functions.
	* protos.h: Remove all these extern declarations.
	* t1part.h: Remove unused K&R function declarations.

2010-05-06  Karl Berry  <karl@tug.org>

	* dvips.texi: use p@TeX{} for the manual.

2010-05-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: revert cmdout() and remove lastspecial=1 in jscout().
	Thanks Peter.

2010-05-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: rewrite the previous fix not to change the output format
	for non-pTeX dvi.

2010-05-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* output.c: minor fix of the function cmdout(). Without the fix, broken
	ps is generated for pTeX's dvi.

2010-05-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Implement pTeX extensions, based on patches sent by Akira.
	Modified to reproduce former output files. Added -noptex option.
	* bbox.c, color.c, dopage.c, dospecial.c, download.c, drawPS.c,
	dvips.[ch], finclude.c, fontdef.c, loadfont.c, output.c,
	pprescan.c, prescan.c, protos.h, protos_add.h, repack.c,
	resident.c, scanpage.c, search.c, skippage.c, tex.lpro,
	tfmload.c, virtualfont.c: pTeX extensions.
	* dvips.1, dvips.help, dvips.texi: Documentation.

2010-05-03  Jan Lieskovsky  <jlieskov@redhat.com>

	* dospecial.c (predospecial, bbdospecial): avoid numeric overflow.
	tetex-3.0-CVE-2010-0739,1440-integer-overflows.patch,
	from Ludwig Nussel, Karel Srot.
	tlsecurity mail 30 Apr 2010 16:59:37.	

2010-04-26  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* afm2tfm.c: (write16()): cast argument to short to avoid warning.

2010-04-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* writet1.c (edecrypt()): cast argument to byte to avoid warning.
	* dvips.c: Use IS_DIR_SEP for the test of a directory separator.

2010-04-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (EXTRA_DIST): Add afm2tfm-test.pl.

2010-04-11  Karl Berry  <karl@tug.org>

	* afm2tfm.c (staticligkern): restore spaces around semicolons,
	accidentally removed in source cleanup.
	
        * afm2tfm.c (throughout): use snprintf where needed.

	* afm2tfm-test.pl: New test script for afm2tfm.

	* Makefile.am (TESTS): Add the new test.

2010-03-29  Karl Berry  <karl@tug.org>

	* loadfont.c,
	* tfmload.c,
	* virtualfont.c: concatn terminates with NULL.  From Akira.

2010-03-28  Karl Berry  <karl@tug.org>

	* all files: no spaces before semicolons.

	* loadfont.c,
	* tfmload.c,
	* virtualfont.c,
	* bbox.c,
	* writet1.c,
	* dvips.c,
	* header.c: dynamically concatenate more error strings.
	* protos.h (errbuf): increase.

2010-03-26  Karl Berry  <karl@tug.org>

	* virtualfont.c (badvf, virtualfont): use concat[n] instead of
		sprintf for error messages.
	(<kpathsea/concatn.h>): #include.

	* virtualfont.c (vfopen): do not sprintf too long of a name.
	CVE-2010-0827, found by Dan Rosenberg.

	* dospecial.c (predospecial): avoid seg fault from integer overflow.
	CVE-2010-0739, found by Marc Schoenefeld, patch prepared
	by Jindrich Novy.

2010-02-26  Karl Berry  <karl@tug.org>

	* search.c (selfautoloc_prog, quote_name): remove kpse_ prefix for
	the time being, since it seems web2c's safeness stuff can't be
	easily factored into using them.

2010-02-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* search.c: #include <kpathsea/variable.h> for kpse_var_value.

2010-02-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (EXTRA_DIST): Add the new files.

2010-02-19  Karl Berry  <karl@tug.org>

	* search.c (kpse_self_autoloc_prog) [WIN32]: p needs to be
	writable.  From Akira.

2010-02-18  Karl Berry  <karl@tug.org>

	* Makefile.am (TESTS): add quotecmd-test.pl.
	* quotecmd-test.pl,
	* testdata/quotecmd.tex: new files.
	* search.c (search): selfautoloc gunzip, and quote name before
	calling popen.
	(kpse_quote_name, kpse_self_autoloc_prog): new fns,
	only temporarily here until we factor out the common code from
	texmfmp.c.

2010-02-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvips.c (main): Add '#if defined(KPSE_DEBUG)' to allow
	compilation with '-DNO_DEBUG'.

2010-02-12  Karl Berry  <karl@tug.org>

	* search.c: remove non-KPATHSEA code.  It just got too confusing
	to keep track of which conditional we were in.  (And non-KPATHSEA
	hasn't actually worked or been used for many years, as far as I know.)

2010-02-01  Karl Berry  <karl@tug.org>

	* dvips.h: switch banner to 5.98dev
	* writet1.c (append_cs_return): cast to byte * to avoid warning.

2010-01-03  Karl Berry  <karl@tug.org>

	* output.c (copyfile_general) <default>: write newline
	after writing possibleDSCLine.
	* beginfontk1.test,
	* testdata/beginfontk1.{tex,eps}: new test.	
	Report from T S, 1 Jan 2010 16:32:16,
	fix from Akira Kakuto, 02 Jan 2010 09:07:19.

	* Makefile.am (TESTS_ENVIRONMENT): set TEXFONTS instead of
	TFMFONTS, VFFONTS, and TEXFONTMAPS.

2010-01-02  Karl Berry  <karl@tug.org>

	* dvips.texi (Debug options),
	* dvips.1: update.
	Report at http://bugs.debian.org/269638.

2009-12-24  Karl Berry  <karl@tug.org>

	* INSTALLATION: rm stale file.
	* reencode: remove stale dir, except ...
	* contrib/treen.sh, contrib.treen2.sh: ... preserve this.
	* Makefile.am (EXTRA_DIST): update

	* AUTHORS, README, dvips.1, contrib/config.proto: doc updates.
	* INSTALL: remove, completely stale.

2009-12-22  Karl Berry  <karl@tug.org>

	* debug.h (D_MEM): disable completely by defining to 0.
	Memory allocations just don't seem to be interesting.

2009-12-21  Karl Berry  <karl@tug.org>

	* protos.h (fil2ps): remove decl.
	* dospecial.c (fil2ps): remove fn.
	(dospecial): warn if iff2ps or tek2ps specials are noticed.
	The goal here was to avoid executing external programs, with that
	inhererent security risk, when (we believe) no one is actually
	using the functionality.

2009-12-14  Karl Berry  <karl@tug.org>

	* emspecial.c (emspecial):
	Increase size of emunit to 30.
	Increase size of emstr to 250.
	Attempt to check that we don't overflow emstr.	
	Report from Alexander, tlsec 02 Dec 2009 00:28:33.

	* pc: remove obsolete subdir.
	* Makefile.am (EXTRA_DIST): rm.

2009-12-11  Alexander Cherepanov  <cherepan@mccme.ru>

	* protos.h (hash): change decl.
	* resident.c (hash): return and use unsigned instead of int.
	tlsec mail, 05 Dec 2009 19:09:56.

2009-09-26  Karl Berry  <karl@tug.org>

	* config/config.ps (unknown): move to before nopaper; else
	nonstandard paper sizes, e.g., with the geometry package,
	end up unrecognized.

2009-08-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* testdata/dvipstst.xps, pfbincl.xps: Update for version 5.98.

2009-08-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid maximal compiler warnings. Done in steps.

	Step 1: Move all extern decls for global variables to headers.
	* Makefile.am: Additional file 'protos_add.h'.
	* protos.h: Add prototype for fliparse() from flib.c.
	Remove prototypes from squeeze.c (now in squeeze/).
	Add extern decls for globals from dopage.c, dosection.c,
	dvips.c, flib.c, hps.c, loadfont.c, output.c, pprescan.c,
	repack.c, resident.c, search.c, and tfmload.c.
	* color.c, dosection.c, dospecial.c, download.c, dpicheck.c,
	drawPS.c, dviinput.c, emspecial.c, finclude.c, fontdef.c,
	header.c, makefont.c, output.c, paths.h, pprescan.c,
	prescan.c, repack.c, resident.c, scanpage.c, skippage.c,
	tfmload.c, virtualfont.c: Drop extern declarations.
	* writet1.c: Remove '#ifndef pdfTeX' sections of code.
	Drop extern declarations.
	* dvips.c, hps.c: #include "protos.h" before defining globals.
	Drop extern declarations.
	* protos_add.h (new): First #include "protos.h", then add
	extern decls for stack from dopage.c and name from loadfont.c.
	* bbox.c, dopage.c, flib.c, loadfont.c, search.c:
	#include "protos_add.h" (instead of protos.h). Drop externs.

	Step 2: Avoid warnings: declaration of 'xxx' shadows a parameter
	or previous local:
	* dospecial.c (predospecial): Rename local numbytes=>num_bytes,
	not to shadow function param.
	Drop inner local j, not to shadow previous local.

	Step 3:
	* afm2tfm.c (vlevout, vlevnlout), download.c (clearExtraGlyphList):
	ANSI C function definitions, i.e., '()'=>'(void)'.

	Step 4: Constification of strings:
	Step 4a: Struct members
	* afm2tfm.c (encoding.name, encoding.vec, adobeinfo.adobename,
	lig.succ, lig.sub, kern.succ, pcc.partname),
	dospecial.c (KeyDesc.Entry),
	download.c (seenEncodings.name, seenEncodings.glyphs),
	dvips.h (header_list.Hname, papsiz.name, papsiz.specdat),
	emspecial.c (emunit.unit), t1part.c (tablecommand.command,
	typefonts.extension, type_key.name).
	Step 4b: Global or static variables
	* afm2tfm.c (staticligkern, vplligops, encligops, fontname,
	codingscheme, interesting, accents), dospecial.c (ValStr, tasks),
	dvips.c (oname, infont, headerfile, helparr),
	emspecial.c (extarr), output.c (hxdata), papersiz.c (scalenames),
	resident.c (psmapfile),
	t1part.c (RefKey, hexstr, AfmKey, InfoKey),
	writet1.c (hexdigits), protos.h.
	Step 4c: Function parameter/results and local variables
	* afm2tfm.c (error, interest, expect, findadobe, makebcpl,
	checksum, texheight),
	dospecial.c (specerror, IsSame, dospecial, fil2ps),
	download.c (getEncoding, addGlyph, downpsfont),
	dvips.c (help, error_with_perror, error, initialize, newstring,
	main),
	finclude.c (scan_fontnames, scanfontusage, scanfontcomments),
	header.c (add_name, add_name_general, checkhmem, add_header,
	add_header), hps.c (set_bitfile), loadfont.c (badpk),
	output.c (copyfile_general, copyfile, cmdout, mhexout, nlcmdout,
	ncstrcmp, paperspec), papersiz.c (myatodim[B
	resident.c (bad_config, getdefaults, getpsinfo),
	search.c (search, pksearch, my_real_fopen), tfmload.c (badtfm),
	unpack.c (unpack), virtualfont.c (badvf),
	writet1.c (pdftex_fail, pdftex_warn, load_enc, t1_open_fontfile,
	t1_subset), protos.h.
	Step 4d: Work around modifying const strings (e.g., modify
	malloc'ed or strdup'ed strings before assigning them to a const
	string variable):
	* afm2tfm.c (openfiles), dvips.c (newstring, newoutname),
	resident.c (getdefaults).

2009-08-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* afm2tfm.c, dvips.c: #include <kpathsea/version.h> and drop
	nested extern decls.

2009-07-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* writet1.c (t1_flush_cs): cast ptr diff to unsigned long for
	printing.
	NB: sizeof(ptr)==sizeof(long) for both 32Bit and 64Bit systems.

2009-07-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* squeeze/squeeze.c (__CYGWIN__): #include <unistd.h> and <io.h>
	for isatty and setmode.

2009-06-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CFLAGS): enable compiler warnings.

	* Use ANSI C function definitions and prototypes instead of
	P[1-9][CH] macros, declare some functions as static.
	* config.h, writet1.c: no need to #include <kpathsea/c-proto.h>.
	* writet1.c: #include <stdarg.h>, not <kpathsea/c-vararg.h>.

	* dpicheck.c: #include "protos.h".

	* t1part.c (Reeverse, KillUnique): declare as static.

	* writet1.c: #include "protos.h".
	(append_cs_return): remove unused variable 'i'.
	(t1_flush_cs): avoid uninitialized warning.
	* protos.h: add prototypes for writet1(), t1_free(), and
	t1_subset() from writet1.c.

	* Avoid inconsistent arg1 in KPATHSEA version of pksearch (was
	unused but different in prototype, declaration, and call).
	* loadfont.c: remove arg1 of pksearch.
	* protos.h: use prototype for pksearch as defined in search.c.
	* search.c: #include "protos.h", remove prototype for newstring.
	(pksearch): remove unused arg1.

2009-06-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CPPFLAGS): remove -DNeedFunctionPrototypes.
	* config.h, dvips.h: always use ANSI C function definitions.

2009-06-12  Francois Charette  <firmicus@ankabut.net>

	* afm2tfm.c: rename getline to texlive_getline.

2009-06-01  Karl Berry  <karl@tug.org>

	* Update version numbers to 5.98.

2009-05-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* texc.script: use correct invocation of sed.

2009-05-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

2009-05-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* testdata/*: recover old test data and add missing pieces.
	* texc.script: use sed instead of ed (which may be missing).

2009-05-24  Karl Berry  <karl@tug.org>

	* dvips.texi (Configuration file commands): document -G,
	including its obsolesence.
	* Master/texmf/dvips/tetex/config.pdf: remove the G setting,
	now actively problematic.  Report from Uwe Siart,
	04 May 2009 09:27:27.

2009-05-08  Karl Berry  <karl@tug.org>

	* resident.c (getpsinfo): avoid accessing unallocated downbuf[-1].
	* dvips.c (main): do not check iname[-1] if there is no iname.
	Reports from Akira.
	Also prettify some related error messages.

2009-04-04  Karl Berry  <karl@tug.org>

	* writet1.c (append_cs_return): new fn.
	(cs_mark): check for missing return in subr.
	(t1_flush_cs): repair missing return.
	(t1_scan_param): check for negative lenIV.
	These changes from Thanh, following more investigation by Melissa,
	ChoF, and Thanh.

2009-03-24  Karl Berry  <karl@tug.org>

	* writet1.c (t1_flush_cs): t1_lenIV >= 0, not
	t1_lenIV > 0, to fix subset problems on Macs.  Found by Melissa
	O'Neill.  Reported on ntg-pdftex@ntg.nl and pdftex@tug.org,
	21 March, 2009 13:45:12.

2009-02-16  Karl Berry  <karl@tug.org>

	* dvips.texi (Config file paper sizes): document.
	* config.ps (nopaper): new paper size to put no paper size
	commands in the output, e.g., for multi-page EPS.
	Report from John Bowman for Asymptote.

2008-11-02  Karl Berry  <karl@tug.org>

	* dvips.texi (psfonts.map): apparently {somefile.pfb} was never
	used to report partial downloading; also mention vf's a bit more.

2008-09-24  Karl Berry  <karl@tug.org>

	* hps.c, hps.lpro: Mark (doyle/aps/org) does not want to be
	notified of changes any longer (or for the past decade or so :).

2008-09-22  Karl Berry  <karl@tug.org>

	* hps.c (do_html): get scale factors right.
	(hoff, voff): remove, hh and vv are already calculated by using
	hoff and voff in dopage.c.
	From Akira.  Report from John Frampton through tex-eplain;
	using -O made -z fail.

2008-09-20  Karl Berry  <karl@tug.org>

	* papersiz.c (myatol): do not require a leading zero, to match the doc.
	From Akira.  Report from John Frampton through tex-eplain.

2008-07-10  Karl Berry  <karl@tug.org>

	* dvips.h (BANNER): 5.97, 2008.
	* dvips.c (main): use BANNER.
	* afm2tfm.c: 5.97.
	* dvips.texi (version): 5.97.
	
2008-05-07  David M. Jones  <dmj@ams.org>

	* output.c (copyfile_general): pass through binary characters such
	as CTRL-D inside %%BeginFont, else embedded pfb's can get mangled.
	tex-live mail 5 May 2008 13:11:10, tex-k mail 5 May 2008 14:08:04.

2008-05-01  Karl Berry  <karl@tug.org>

	* squeeze.c [O_BINARY]: conditionalize calls to SET_BINARY.

2008-04-30  Karl Berry  <karl@tug.org>

	* squeeze.c (SET_BINARY) [O_BINARY]: conditionalize #define.
	Cast call to specialout.  (From Akira.)

2008-04-29  Karl Berry  <karl@tug.org>

	* Makefile.in (install-data): do not cd $(srcdir) in any rule,
	that fails when the install program is specified by a relative path.

	* squeeze.c: avoid all old-system conditionals, linking with
	kpathsea, etc.

2008-04-28  Karl Berry  <karl@tug.org>

	* dvips.h: id.
	* squeeze.c [!KPATHSEA]: conditionalize #undef fopen,
	and add decl with return type.
	* afm2tfm.c: semi-prototype fopen if it got #undef'd.
	Bug report from vvv, 27 Apr 2008 13:43:37.

2008-02-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* acconfig.h: removed.

2008-02-17  Karl Berry  <karl@tug.org>

	* config.ps (smallbook): new paper size for Texinfo.

2008-01-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* Makefile.in: Add @configure_input@ line.
	* aclocal.m4 (new): Generated (aclocal -I ../m4).
	* configure: Regenerated (autoconf).

2007-12-23  Karl Berry  <karl@tug.org>

	* dvips.c (helparr): Start options with -, include url.

2007-12-02  Karl Berry  <karl@tug.org>

	* skippage.c (skippage): do not test for noomega here; we aren't
	actually parsing the DVI operations, so argument bytes can
	erroneously cause complaints.
	Report on tex-live from W. Fleischer, 27 Nov 2007 17:43:47.

2007-10-24  Karl Berry  <karl@tug.org>

	* config.ps (unknown): duplicated entry, remove one.

2007-10-22  Karl Berry  <karl@tug.org>

	* hps.c (stamp_external, stamp_hps): protext against long strings.
	From Bastien Roucaries via Norbert, 21 Oct 2007 13:22:19,
	Debian bug 447081.

2007-10-12  Karl Berry  <karl@tug.org>

	* resident.c (i): declare as int, in case tfmload() returns 65536
	for an ofm font.
	From Akira, 11 Oct 2007 11:39:52.

2007-09-24  Karl Berry  <karl@tug.org>

	* dvips.texi (psfile special): document llx/lly/urx/ury, based on
	a description from Tom R.

2007-08-28  Karl Berry  <karl@tug.org>

	* dvips.h: clarify license (again).

2007-06-13  Karl Berry  <karl@tug.org>

	* config.ps: use integral mm values (from Akira).

2007-06-10  Karl Berry  <karl@tug.org>

	* dospecial.c: implement ps::nobreak for Scott (Pakin); we need
	to break by default because pstricks is written to assume that,
	and we can't ask Herbert to rewrite thousands of lines of code.

2007-05-31  Karl Berry  <karl@tug.org>

	* hps.c (finish_hps): remove head.tmp and body.tmp unless
	we are debugging.  Report from Dan Luecking, 25 May 2007 13:00:17,
	fix from Akira.

2007-05-09  Karl Berry  <karl@tug.org>

	* dvips.c, finclude.c: cleanups of my patching from Akira.

2007-05-06  Karl Berry  <karl@tug.org>

	* finclude.c, dvips.c: keep track of last-unused psname (Akira).
	* dvips.c (DEFRES): move down.
	* dvips.c (--help): just mention Tom R.

2007-05-05  Karl Berry  <karl@tug.org>

	* dvips.h (DOWNLOADEDPSSIZE): new constant.
	* dvips.c (downloadedpsname): new global array.
	* finclude.c: set it up as we download.
	* download.c: use it to avoid downloading fonts as both header
	and font.  (From Akira.)

2007-05-04  Karl Berry  <karl@tug.org>

	* dvips.h (BANNER): change to 5.96dev to distinguish from the release.

	* header.c (add_name, add_header): cast result of
	add_header_general to int and return it.  From Akira.

2007-03-23  Karl Berry  <karl@tug.org>

	* dvips.texi: document it.
	* dvips.c, loadfont.c, resident.c: also report map files
	and config files, if the envvar DVIPSDEBUG is set.  From Akira.

2007-03-20  Karl Berry  <karl@tug.org>

	* download.c, output.c, emspecial.c: report full pathnames,
	to help debugging and for consistency with TeX.  From Akira.

2007-03-19  Karl Berry  <karl@tug.org>

	* config.ps (screen): add this, 8.25x11, for powerdot.  (From Akira.)

2006-12-09  Karl Berry  <karl@tug.org>

	* dvips.texi (Config file paper sizes): best match now.  (From Akira.)

2006-12-07  Karl Berry  <karl@tug.org>

	* Changes made and accumulated by Akira:
(1) security problem
    -R0  : shell escape and absolute path are allowed
    -R1  : shell escape is forbidden and absolute path is allowed
           (default)
    -R2  : shell escape and absolute path are forbidden

(2) line breaking problem in ps: special (Scott Pakin).

(3) Heiko's change of hps.lpro.

(4) paper size problem:
  *   Is the dimension close enough for a match?  We use a quarter inch
  *   as a match; this is 65536*72.27/4 or 1,184,072 scaled points.
--->
  *   Is the dimension close enough for a match?  We use 5bp
  *   as a match; this is 65536*72.27*5/72 or 328909 scaled points.
and dvips now finds the best match rather than the first match.

2006-12-06  Karl Berry  <karl@tug.org>

	* output.c (copyfile_general): add removingBytes=0, to avoid
	omitting the line after %%EndData or %%EndBinary with -K1.
	tex-k mail from t s, 29 Nov 2006 21:11:14.

2006-12-05  Karl Berry  <karl@tug.org>

	* dvips.h (BANNER): bump version to 5.96 for 2006, why not.

2006-07-06  Karl Berry  <karl@tug.org>

	* dvips.texi: mention -tunknown to avoid floating to predefined
	paper size. From Vincent Fourmond, tex-k mail, 25apr06.

2006-06-02  Karl Berry  <karl@tug.org>

	* dvips.texi: typo

2004-05-10  Karl Berry  <karl@tug.org>

	From Matthew Swift <swift@alum.mit.edu>, via Debian bug 181065:
	* config.ps: improve comments.
	* output.c (open_output) [DJGPP]: do not disable writing to a pipe
		when secure; we don't do that in the non-DJGPP case.
	* dvips.texi (Option details): -R does not disable output to a pipe.
	(Configuration file commands): typo in `o' doc.		

WARNING:  THIS CHANGELOG IS WAY OUT OF DATE.

2001-06-02  Sebastian Rahtz  <sebastian.rahtz@computing-services.oxford.ac.uk>

	* resident.c: added option to config file ('z') to have the same
	effect as -R (secure mode)

Mon Jan 10 21:39:20 CET 2000
	* from pdftex distribution: improved partial font downloading
	ported back
	* .notdef related fixes for afm2tfm

Sun Apr 11 09:03:29 CEST 1999
	* output.c: (from Tom Rokicki)
	Faster inclusion of DOS EPSF files. Use byte counter to avoid
	calling ftell().

Wed Apr  7 01:07:41 CEST 1999
	* Makefile.in: added -DSHIFTLOWCHARS to compiler flags
	* output.c: corrected T1Char function for SHIFTLOWCHARS

Mon Mar  9 10:31:44 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* clean reencoding/asex.enc; small fix to copyright year (from
	Thomas Esser)

Fri Mar  6 10:56:28 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* dvips.h (BANNER): changed to 5.78, as per Tom. also afm2tfm.c
	and dvips.c

	* tex.lpro: (from Tom Rokicki)
	Richard Sites of Adobe found a bug in dvips that
 	causes dvips-generated output, when piped through Distiller, to
 	fail.  The problem is that dvips uses names in its encoding array
 	that are `illegal' according to distiller.  I've encouraged him to
 	patch up distiller to `do the right thing', but I need to fix
 	dvips too. The patch I've come up with is to change, in tex.lpro,

	    0 1 255 {IE S 1 string dup 0 3 index put cvn put} for
	 to

	 2 string 0 1 255 { IE S dup 360 add 36 4 index cvrs cvn put } for pop

Tue Mar  3 10:15:37 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* afm2tfm.c: Tom Browder <tbrowde@asi-fwb.com>. To fix the case
	where the afm file has a -1 for the CC encoding position

Wed Feb 25 10:52:19 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* patches to add facility to shift characters below 32 to higher
	positions, if possible, activated by -G. By default, this is not
	activated, needs -DSHIFTLOWCHARS in the Makefile, as I am not sure
	about it, but the conditional code is there to study for those who
	want to experiment

Tue Feb 24 11:56:52 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* Makefile.in: clean up check target to be self-contained

Mon Feb 23 10:11:57 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* resident.c: changed parsing of "<<" so that the font is passed
	through to be treated as a font, not a procset. it will still be
	partially downloaded, though.

Tue Feb 17 10:17:40 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* dvips.c: logic of #ifdef Omega was reversed for help message,
	corrected

Mon Feb 16 12:33:30 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* afm2tfm.c: fixes for explicit extension by Thomas Esser:
	Several things did not work as expected:
  - removing the suffix by putting \0 at the position found by
    find_suffix(outname) does not work, as find_suffix returns the
    position *after* the last dot
  - memmove(outname, p, strlen(p)) (where p = basename(outname))
    should be memmove(outname, p, strlen(p)+1), but I think that
    we should just use two strcpy calls since memmove is not
    available on every platform.


Mon Feb  9 10:56:25 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* put data files for "make check" into testdata/, to avoid them
	being zapped by "make extraclean"

	* patch to dvips.texi from Thomas Esser
	
Mon Feb  2 11:32:32 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* small fix in make check target of Makefile.in

Tue Jan 27 14:32:25 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* configure etc: new configure.in, c-auto.in, Makefile.in from
	Olaf Weber
	
Tue Jan 27 13:49:11 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* ChangeLog: changes to "check" target (explicit -D
	300). regenerated .xps file.

Mon Jan 19 20:45:15 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* renamed contrib/volker config.* files to *.cfg, and to shorter
	names (screen to scr) for DOS 8+3 naming

	* added .tfm and .vf files for make check to directory;
	changed permissions of dvips.texi

Sat Jan 17 15:08:57 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	*  assorted patches from Peter Breitenlohner, Olaf Weber, 
 	Fabrice Popineau etc. Hope it all still works.

Fri Jan 16 21:28:44 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* dvips.c: patch from John Plaice for odvips, to flag odvips as program
	name 

Thu Jan  1 10:59:29 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* provided prebuilt dvipstst.xdv and dvipstst.xps to allow
	check target to work. 

Wed Aug 27 20:18:20 1997  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* stamp-auto: Remove this file, should be in build tree, not in
	source tree.

	* configure.in: Make `configure' rebuild the `stamp-auto' file.

Sun Aug 24 18:04:14 1997  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.in: Allow `make check' when $(srcdir) is not `.'.

Fri Mar 07 12:10:46 1997  Fabrice POPINEAU  <popineau@ese-metz.fr>

	* config.h: introduce prototyping when __STDC__ is defined.
	* dvips.h: defines a PROTO() macro according to __STDC__.
	* dvips.h: getenv() is declared here.

	* dvips.c:
	* emspecial.c:
	* output.c:
	* resident.c: use the PROTO() declaration.
	* resident.c: bad_config was called whitout argument.
	* squeeze.c: exit() declaration.
	
Thu Feb  6 17:34:06 1997  Karl Berry  <karl@cs.umb.edu>

	* Version 5.66a.

Sat Feb  1 17:15:39 1997  Karl Berry  <karl@cs.umb.edu>

	* t1part.c: Changes to avoid compiler warnings.  From Tom.

	* Makefile.in (program_files): dvipstst.dvi should be included
	for make check.
	From: Joern Clausen <joern@techfak.uni-bielefeld.de>.

Sun Jan 19 12:47:37 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (version): Now 5.66a.
	* dvips.texi: Update version number.
	* download, finclude.c, output.c: Update for new version.

Fri Jan 17 10:06:25 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (version): Now 5.64a.

	* finclude.c, t1part.[ch], resident.c, output.c, download.c,
		dopage.c: Update for dvips 5.64.

	* afm2tfm.c (writevpl): No vname in CHARACTER property.
	(version): Now 8.1.

Tue Jan 14 14:50:27 1997  Karl Berry  <karl@cs.umb.edu>

	* hps.c (PAGESIZE): #undef.

Mon Jan 13 14:25:07 1997  Karl Berry  <karl@cs.umb.edu>

	* dvips.h (BANNER): Add www.radicaleye.com per Tom.

Sun Jan 12 10:57:34 1997  Karl Berry  <karl@cs.umb.edu>

	* texps.lpro: Change /setfont line to use cvx instead of load.
	Fix from Tom, reported by poortom@apmisc.ibm.co.jp for the QMS 1725.

Sun Jan  5 12:05:54 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove special case for t1part.c, and add it to
	objects.  We compile it normally now.
	* bbox.c, dospecial.c, drawPS.c, dvips.c, dvips.h, tex/epsf.tex,
	search.c, virtualfont.c, tex.lpro, finclude.c
	afm2tfm.c: Updates for dvips 5.62.

Mon Dec  9 17:24:58 1996  Karl Berry  <karl@cs.umb.edu>

	* t1part.c (CHAR) [WIN32]: #define as CHARACTER to work around
	<windows.h> typedef.

Sat Dec  7 17:21:37 1996  Karl Berry  <karl@cs.umb.edu>

	* dospecial.c (system): Don't bother to declare, it returns an int.

	* afm2tfm.c, dvips.c, emspecial.c, output.c, resident.c: Various
	WIN32 changes from Fabrice.

Tue Dec  3 01:25:28 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* afm2tfm.c: Fix version message.

Mon Dec  9 01:29:41 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* afm2tfm.c: Reformat usage message slightly for consistency.
	Issue "Try --help" message if called with no args.

Tue Dec  3 01:25:28 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* afm2tfm.c: Fix version message.

Thu Nov 28 09:33:13 1996  Karl Berry  <karl@cs.umb.edu>

	* resident.c: Pass explicit error strings to bad_config.
	* dvips.h (INT_FORMAT) [SHORTINT]: Define as %ld or %d.

	* t1part.c (ScanChars): Cast label[counter].select, which is a char,
	to int, for the sake of machines where char is unsigned by default,
	such as the RS/6000.

Wed Nov 27 10:06:27 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (program_files): Don't bother to include dvipstst.dvi.

Fri Nov 15 16:22:42 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-exec): Use INSTALL_LIBTOOL_PROG for
	binaries.

Sun Nov 10 16:29:31 1996  Karl Berry  <karl@cs.umb.edu>

	* t1part.c (PartialPFB): Return value from fread is an int,
	not a pointer, so don't compare to NULL.

Thu Nov  7 14:53:08 1996  Karl Berry  <karl@cs.umb.edu>

	* papersiz.c (myatodim, myatol): If error, give the erroneous string.

Sun Oct 27 16:20:58 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (check): Don't run TeX.
	(program_files): Distribute dvipstst.dvi.

	* resident.c (c_lineno): Remove invalid second declaration.

	* t1part.c (PartialPFA): Cast UniRealloc result to avoid warning
	from SunOS cc.
	(UniRealloc) [KPATHSEA_TYPES_H]: Define as xrealloc, not just realloc.

Sun Oct 20 11:25:27 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-data): mkdirchain dvips_plain_macrodir.
	(post-dist): Link in tex.
	*.tex: Move to tex/ subdirectory.

Fri Oct 18 14:51:03 1996  Karl Berry  <karl@cs.umb.edu>

	From: Marek Rouchal <marek@btfmd1.fs.uni-bayreuth.de>.
	These changes finish implementing multiple epsf output files.
	* bbox.c (findbb): Pass in bop location.
	* dvips.c: for -i, default section size to one page.
	Change call to initprinter.
	* output.c (epsftest): Change call to findbb.
	(initprinter): Take sectiontype as parameter instead of page count.

Mon Oct 14 11:25:13 1996  Karl Berry  <karl@cs.umb.edu>

	* Changes for NT from Fabrice POPINEAU <popineau@esemetz.ese-metz.fr>.
	* hps.c: Rename Rectangle to dvipsRectangle.
	* dvips.h (ERROR, NO_ERROR): #undef.
	* paths.h (DVIPSRC) [WIN32]: Define as dvips.ini
	* output.c: WIN32 conditionals a la MSDOS.

Sun Oct 13 13:40:26 1996  Karl Berry  <karl@cs.umb.edu>

	* dvips.c (main),
	* output.c (epsftest): Remove condition that document be a single
 	page for -E.
 	Suggested by: Marek Rouchal <marek@btfmd1.fs.uni-bayreuth.de>.

	* bbox.c, dosection.c, download.c, drawPS.c, dvips.c, finclude.c,
        fontdef.c, prescan.c, resident.c, virtualfont.c: Keep mag as a
	real instead of an integer.
	From: "Melissa O'Neill" <oneill@cs.sfu.ca>.

Tue Oct  8 16:47:13 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (version_files): Add dvips.c.

Sat Oct  5 17:00:53 1996  Karl Berry  <karl@cs.umb.edu>

	* dvips.c (main),
	* afm2tfm.c (version): Change to the new standard GNU format.

	* Makefile.in (install-data): Call install-info.
	* dvips.texi: Use @url, @email, and @dircategory/@direntry.
	
Sat Sep  7 16:01:38 1996  Karl Berry  <karl@cs.umb.edu>

	* dvips.c (help): Include bug reporting address.
	* afm2tfm.c (usage): Likewise.

Fri Sep  6 19:05:23 1996  Karl Berry  <karl@cs.umb.edu>

	* output.c, dospecial: Call output_with_perror for PostScript
	output file open failure.
	* dvips.c (error_with_perror): New routine.

Fri Aug 23 16:57:39 1996  Karl Berry  <karl@cs.umb.edu>

	* dvips.c (main): Better bad first/last page errors.

Sun Aug  4 15:56:50 1996  Karl Berry  <karl@cs.umb.edu>

	* dospecial.c: Updates from d.love, PAGEUS_INTERUPPTUS is now
	page_interrupt, etc.

	* hps.c: Use mymalloc instead of malloc where we don't check the
	return value.

	* dvips.c (main): Also print kpathsea_version_string if --version.

Fri Jul 26 15:47:20 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove co.make.

Thu Jul 11 19:17:52 1996  Karl Berry  <karl@laurie>

	* resident.c: Include variable.h.

Mon Jun 10 11:00:35 1996  Karl Berry  <karl@cs.umb.edu>

	* hps.c: Update again from Dave, the last patch got corrupted.

Fri Jun  7 18:46:46 1996  K. Berry  <kb@cs.umb.edu>

	* Makefile.in (afm2tfm, $(program)): Use $(kpathsea_link).
        (squeeze): Include $(XLOADLIBES).

Sat Jun  1 14:36:39 1996  Karl Berry  <karl@cs.umb.edu>

	* resident.c (getdefaults): Use envvar/config value DVIPSRC if set.

Thu May 16 22:41:15 1996  Dave Love  <d.love@dl.ac.uk>

	* texc.lpro: Update to dvihps 0.4 (mostly robuster anchors?).
	* dopage.c, hps.c: Likewise.

Wed May  1 16:37:00 1996  Karl Berry  <karl@cs.umb.edu>

        * paths.h (DVIPSRC): Prepend $HOME/, so we only search for .dvips
        in the user's home directory. (Original dvips behavior,
        unwittingly changed, just noted by Michel Goossens.)

Fri Apr 26 13:36:25 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-data): Install the plain macro files in
        $(dvips_plain_macrodir), and avoid $(CP_R).
	From: Pierre Asselin <pa@magtsm.tdh.qntm.com>.

Sun Apr 21 16:32:43 1996  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (main): Do not pass in !dontmakefont to kpse_init_prog.
        In 'M' command line case, call the new kpse_set_enabled fn.

Fri Mar  8 14:39:03 1996  Karl Berry  <karl@cs.umb.edu>

        * hps.c: qoutes -> quotes.

        * dospecial.c: Don't complain about unknown specials if TEX_HUSH.

Thu Mar  7 11:15:34 1996  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (check_checksum): New routine.
        * bbox.c, loadfont.c, tfmload.c, virtualfont.c: Call it.

        * t1part.c (perror): Remove spurious #define, and change return's
        to exit's after calling perror.
        New copyright notice from Sergey.

Sun Mar  3 12:26:01 1996  Karl Berry  <karl@cs.umb.edu>

        * t1part.c: New version (1.59) from Sergey, fixing the problem
        with lbma.

Wed Feb 28 15:19:30 1996  Karl Berry  <karl@cs.umb.edu>

        * dvips.texi: Document the new MISSFONT_LOG variable.

        * Installed following update from Dave Love:
        
Tue Jan 23 13:55:52 1996  D.J.G.Love  <d.love@dl.ac.uk>

        * hps.c (PAGESIZE): Don't hardcode.

Mon Jan 22 19:34:38 1996  Dave Love  <d.love@dl.ac.uk>

        * dopage.c: Update to dvihps 0.3c.
        * dospecial.c: Likewise.
        * hps.c: Likewise.
        * hps.lpro: Likewise.

Tue Feb 27 17:06:42 1996  Karl Berry  <karl@cs.umb.edu>

        * afm2tfm.c (main): Need to call kpse_set_progname now that we are
        using the afm search path.

        * resident.c (addentry): Oops, another mistake in the partial
        download merge.

Sun Feb 18 15:59:18 1996  Karl Berry  <karl@cs.umb.edu>

        * afm2tfm.c: Search for AFM file along new AFM path.

        * hps.c: Use mymalloc, not plain malloc.
        And replace dup_str with the existing xstrdup.

Thu Feb 15 13:56:07 1996  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (main): Set kpse_make_tex_discard_errors = quiet.

Sat Feb 10 14:03:12 1996  Karl Berry  <karl@cs.umb.edu>

        * afm2tfm.c (assignchars): Avoid creating texnum's > 255, since we
         can't handle it.  Happens with an AFM line like:
         C 256 ; WX 402 ; N c256 ; B 4 0 402 630 ;
        Also, don't try to output kern equivalences for unencoded characters.
        From: "Dr Peter J. Braam" <braam@stlawrence.maths.ox.ac.uk>.

Fri Feb  9 15:28:03 1996  Karl Berry  <karl@cs.umb.edu>

        * afm2tfm.c (usage): Include kpathsea_version_string in output.
        Recognize --version and --help.

        * tex.lpro: I had fixed texc.lpro, but that's not a source file.

        * hps.c (PAGESIZE): Compute dynamically.
        From: Dave Love <d.love@dl.ac.uk>.

Sat Feb  3 15:44:19 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (DEFS): Moved to common.make.

Fri Dec 29 17:17:14 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: misc.make is now clean.make.

Tue Dec 26 17:18:39 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (initialize): Initialize dontmakefont to
        !MAKE_TEX_PK_BY_DEFAULT.

Wed Dec 20 15:38:31 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (INSTALL): Use -D INSTALLONLY, rather than sed.
        Manual changes to match.

Wed Dec 13 14:29:11 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (DEFRES): Change to 600.

        * afm2tfm.c: Do oslash <> o and Oslash <> O.
        From: "Young U. Ryu" <ryoung@utdallas.edu>.

Sun Dec 10 16:41:05 1995  Karl Berry  <karl@cs.umb.edu>

        * dospecial.c (specerror): Hint that they're using an unsupported
        macro package, most likely.

Fri Dec  1 16:08:52 1995  Karl Berry  <karl@cs.umb.edu>

        * test.tex: Rename to dvipstst.tex for clarity and include in
        distribution.
	From: Joern Clausen <joern@techfak.uni-bielefeld.de>.
	
Thu Nov 16 13:32:50 1995  Karl Berry  <karl@cs.umb.edu>

        * search.c: Avoid popen on the Amiga.
        * dvips.h (close_file): Make function declaration extern for the
        Amiga. From Andreas Scherer.

Tue Nov 14 14:07:17 1995  Karl Berry  <karl@cs.umb.edu>

        * loadfont.c (pkopen): If font was substituted, don't say chars
        will be left blank (they won't).

        * resident.c (getdefaults): For R case, use line as a string,
        changing whitespaces to colons, instead of doing numbers here.

Mon Nov 13 17:22:20 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c: Set kpathsea debugging bits even if -d is not first.

Sat Nov 11 16:01:24 1995  Karl Berry  <karl@cs.umb.edu>

        * texc.lpro: Add `Color LaserWriter 12/600 PS' to the list of
        products that need the alternate rule definition.

        * loadfont.c, dvips.c, virtualfont.c: Remove remaining MEM debugs
        as too voluminous and not useful enough.
        * debug.h (D_CONFIG): Reuse the D_MEM bit.
        * resident.c (getdefaults): Output debugging info if requested.

Sun Oct 22 16:57:56 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (squeeze): Use LIBS instead of LOADLIBES.

Sun Sep 24 13:49:43 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (mymalloc): Test a local variable for debug output,
        instead of DD_MEM.

Fri Sep 22 13:43:38 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c: If invalid option given, say what it was, and don't try
        to list all the valid ones.
        
        * dvips.c (case o): make -o - output to stdout.

Thu Sep 14 14:49:53 1995  Karl Berry  <karl@cs.umb.edu>

        * config.ps: The default paper size cannot use setpagedevice.
        From te.

Sat Sep  9 13:12:24 1995  Karl Berry  <karl@cs.umb.edu>

        * drawPS.c: Merge hyperdvi changes.
        From: Dave Love <d.love@dl.ac.uk>.
        
        * config.h: Define TPIC and EMTEX by default.
        * Makefile.in (DEFS): Instead of in DEFS.

Sat Sep  2 11:37:40 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.lpro: Oops, missing if in the new code.

        * epsf.tex: Don't do \new... if we've already been read.

        * config.ps: Update from Yves.

Wed Aug 23 11:55:59 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h (headerpath): This is now kpse_ps_header_format, since
        xdvi uses it, too.

        * search.c (search): Try assigning to name and realnameoffile,
        instead of copying.
        * tfmload.c (name): Remove this static.
        * loadfont.c (name): Declare as a pointer, instead of a fixed-size
        array.

Sat Aug 12 13:42:22 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.lpro: Check for LaserWriter 16/600 as well as Display and
        NeXT when setting RMat.  From Tom R., reported by Rik Faith.

Fri Aug 11 14:42:14 1995  Karl Berry  <karl@cs.umb.edu>

        * resident.c (N): If we're doing -E, don't disable them.

Thu Aug 10 13:28:37 1995  Karl Berry  <karl@cs.umb.edu>

        * header.c, dvips.c (lastheadermem): Remove this global. It's no
        longer used.
        From: "Christopher J. Duncan" <cduncan@phys.psu.edu>
        
        * dvips.texi: Many updates.

Tue Aug  8 19:25:18 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (post-dist): Include a README in reencode, update
        for new fontname organization, don't include adobe file or fonts.
        (install-data): Don't install fonts.

Mon Aug  7 17:46:43 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c: Rearrange help message.

Mon May 29 15:56:43 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-data): Use $(srcdir)/{tex,fonts}; from zoo.
        (But, we probably won't have inputs or fonts by release time anyway.)

Mon Apr 17 10:02:30 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (squeeze, afm2tfm, $(program)): Use link_command.

Mon Mar 20 11:07:32 1995  Karl Berry  <karl@cs.umb.edu>

        * output.c: Print the > after reading the file, not before.

Fri Mar  3 14:49:16 1995  Karl Berry  <karl@cs.umb.edu>

        * afm2tfm.c (checksum): Use cyclic left shift, so we're not just
        using the last four characters. From Piet.
        (vname): New routine to better document the ligtable in the vpl.
        (writevpl): If the base encoding is the same as the output
        encoding, only output it once.
        Also, don't output checksums; let vptovf and vftovp do that.
        (addkern): New routine.
        (checkligkern): If <>, make one character's kerning (Zcaron) be
        the same as another's (Z).
        (staticligkern): Define the default kerning equivalents.

Fri Feb 24 14:03:02 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (main): Don't give `W' output if -q(uiet).

        * config.ps (N): Don't define this by default.

Fri Feb 10 15:39:50 1995  Karl Berry  <karl@cs.umb.edu>

        * dvips.c: Doc fix.

        * Makefile.in (texc.lpro): Use $(srcdir)/tex.lpro. From Andreas.

Sun Jan  8 12:13:48 1995  Karl Berry  <karl@cs.umb.edu>

        * Version 5.58f.

Sun Jan  1 14:16:52 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (DEFS): Include -DEMTEX by default. Suggested by Joachim.

Sat Dec 31 17:33:14 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Don't include tmptk.make any more.
        (install-exec): Don't depend on install-MakeTeXPK, either.

Mon Dec 26 07:58:37 1994  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (main): Don't set mfmode to / here, do it in kpse_init_prog.

Sat Dec 24 15:20:50 1994  Karl Berry  <karl@cs.umb.edu>

        * emspecial.c (TRUE, FALSE) [TRUE]: Make definitions conditional.
        From Joachim Schrod <schrod@iti.informatik.th-darmstadt.de>.

Wed Dec 14 15:16:53 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 5.58e.

Mon Dec 12 07:11:14 1994  Karl Berry  <karl@cs.umb.edu>

        * MakeTeXPK.in (pattern): Give right name in error message. From
        nickc@cs.st-andrews.ac.uk.

Mon Dec  5 15:32:48 1994  Karl Berry  <karl@cs.umb.edu>

        * MakeTeXPK.in: Use $SAVEPWD instead of $PWD, for bash's sake.
        From bas@phys.uva.nl (Bas de Bakker).

Sun Dec  4 16:34:59 1994  Karl Berry  <karl@cs.umb.edu>

        * dospecial.c (predospecial): Avoid scanning compressed files for
        font comments. From Peter Whaite <peta@cim.mcgill.ca>.

Sun Nov 27 11:39:42 1994  Karl Berry  <karl@cs.umb.edu>

        * output.c: Remove unmatched ( in output.c.  From Philippe
        Charnier <charnier@lirmm.fr>.

        * Makefile.in (install-data): Test for nonexistence of config.ps
        and psfonts.map before grepping in them, to avoid spurious error
        or unnecessary redirection.

        * config.h (MFMODE): Don't bother with this.
        * dvips.c (main): If mfmode is not set, set it to /, not a
        compile-time default.

Fri Nov 25 11:05:58 1994  Karl Berry  <karl@cs.umb.edu>

        * resident.c (getdefaults): Don't set oname in case 'o' if the
        cmdline already did.
        * dvips.c (oname_option): New global.
        (main): Set if.

        * dvips.c, resident.c: Make config.$PRINTER mode value override
        config.ps. From heiko@lotte.sax.de and Michael
        C. Grant <mcgrant@rascals.stanford.edu> (independently).

        * MakeTeXPK.in: Restore the umask 0. Requested by
        Yves.Arrouye@imag.fr and others.

        * texc.script: Don't pass single - arg to ed; Linux loses.  From
        heiko@lotte.sax.de (Heiko Schlittermann).

Tue Nov 15 16:20:48 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (targets.make): This is split up now.

Sun Nov  6 16:10:33 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Run autoupdate.

Sun Oct 30 16:17:22 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (post-dist): Remove texc.lpro. From
        interran@uluru.Stanford.EDU.

Tue Oct 25 17:47:48 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 5.58c.

Sun Oct 23 17:41:24 1994  Karl Berry  <karl@cs.umb.edu>

        * config.h (MFMODE) [!MFMODE]: Define to be "cx".
        * dvips.c (mfmode): Initalize to MFMODE, new option -mode to set it.
        * resident.c (getdefaults): For case M, only get the new mode if
        it wasn't specified on the command line.

Tue Oct 18 07:15:42 1994  Karl Berry  <karl@cs.umb.edu>

        * MakeTeXPK.in: Reformat the MakeTeXPK.site line so Autoconf will
        substitute for both occurrences. (Actually, I think was my bug in
        make/targets.make for not doing global sed substitutions.)

Sun Oct 16 20:42:47 1994  Karl Berry  <karl@cs.umb.edu>

        * dvips.texi: Distinguish somewhat more clearly between dvips and
        Dvipsk.

        * dospecial.c (dospecial): In " case, there was never supposed to
        *be* a closing quote in the \special, so go back to the original.

Fri Oct 14 10:32:38 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 5.58b.

Tue Oct 11 15:28:44 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-exec): mkdirchain $(fontdir), for the sake
        of MakeTeXPK.

        * dospecial.c (dospecial): In "..." case, don't send closing quote.

Sun Oct  9 16:57:25 1994  Karl Berry  <karl@cs.umb.edu>

        * MakeTeXPK.in: Source $psheaderdir/MakeTeXPK.site if it exists.
        Also, add pk/ into the default destination path if we have map files.

Thu Oct  6 14:36:41 1994  Karl Berry  <karl@cs.umb.edu>

        * dvips.c: Don't call help () twice for -?, and support --help and
        --version.

Sun Oct  2 16:42:25 1994  Karl Berry  <karl@cs.umb.edu>

        * resident.c (SET_CLIENT_PATH): New macro; strdup path values from
        the config file.
        (getdefaults): Call it.

        * psfonts.map: Add more obliques for the standard fonts.  From
        te@informatik.uni-hannover.de.

        * search.c (secure) [SECURE]: Put this back.  From
        hank@automat.uni-essen.de.

Sat Oct  1 20:25:42 1994  Karl Berry  <karl@cs.umb.edu>

        * MakeTeXPK.in: Make egrep pattern search for the base font, not
        just $NAME.

Sat Sep 24 16:53:36 1994  Karl Berry  <karl@cs.umb.edu>

        * dvips.c (o and f cases): Do not set noenv.  This makes dvips
        always read the config files.

Thu Sep 22 15:35:22 1994  Karl Berry  <karl@cs.umb.edu>

        * dvips.c: Remove `got a new papersize' messages.
        * resident.c (getpsinfo): Allow multiple spec's a la download's.

Mon Sep 19 11:55:13 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (post-dist): Just link to the fontname dvips
        directory, since it has all the encoding files.

Mon Sep 12 11:04:46 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 5.58a.

        * dospecial.c: Remove my warning stuff; Tom did it his way.

Sun Sep 11 14:49:31 1994  Karl Berry  (karl@cs.umb.edu)

        * Update for dvips 558.

        * Makefile.in (psconfigfile): Remove this variable, and just use
        config.ps; we would never install anything else anyway.
        (uninstall-data): Install psfonts.map and config.ps if they didn't
        exist.

Sat Sep 10 13:45:28 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in (ps_to_pk case): Only parse psfonts.map if we are ps2pk.

        * dvips.texi: Fix overfull boxes.

        * Makefile.in (post-dist-*): Include .aux/.cps in distribution.

Wed Sep  7 12:04:36 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 5.55b.

        * afm2tfm.c (assignchars): Forget the outenname stuff; I just
        noticed -u (pedantic).

Sun Sep  4 07:19:05 1994  Karl Berry  (karl@cs.umb.edu)

        * loadfont.c: Include c-pathmx.h.

Sat Sep  3 13:03:55 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-data): Install the .enc files.
        (uninstall-data): And uninstall them.

Fri Sep  2 11:55:34 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (default): New target.
        (makeargs): No need for this.

        * psfonts.map: Include entries for *0, to accomodate the !@#$% latex2e.

Tue Aug 30 14:21:42 1994  Karl Berry  (karl@cs.umb.edu)

        * dospecial.c (dospecial, GetKeyVal): Add case for warning.

        * dvips.texi (Special Font Effects): Mention outlined fonts.

        * bbox.c (floor): Do not declare this.

        * Makefile.in (distclean): Don't need this.

Mon Aug 29 16:53:48 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in (AC_OUTPUT): No more fonts/Makefile.
        * Makefile.in (install-data): Use CP_R.

Thu Aug 25 14:19:18 1994  Karl Berry  (karl@cs.umb.edu)

        * config.h (D_SEARCH): New debug bit.
        * dvips.c (dvips): Set it.
        * dvips.texi: Document it.

Tue Aug 23 14:21:06 1994  Karl Berry  (karl@cs.umb.edu)

        * afm2tfm.c (assignchars): Don't add additional characters if
        an explicit output encoding was specified.

        * MakeTeXPK.in: Remove ;landscape hacks.

Sun Aug 21 10:58:11 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (mtp_destroot): Toss this.
        (MakeTeXPK): Substitute fontdir instead.

Sat Aug 20 16:13:28 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in (DESTDIR): Deal with ;landscape in the mode.

Fri Aug 19 13:42:22 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in: Consistently use mf instead of $mf.
        (MODE): If `default', guess, so users can specify a destdir with
        no mode.

Tue Aug 16 09:28:35 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (sauterdir): Change to .../src.
        (MakeTeXPK): Substitute for it.

        * MakeTeXPK.in: Don't echo the args; let kpathsea do it.

Sat Aug 13 17:14:54 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: Use $@ where possible.

Fri Aug 12 10:54:19 1994  Karl Berry  (karl@cs.umb.edu)

        * dopage.c (floor): Do not declare.

Tue Aug  9 13:53:12 1994  Karl Berry  (karl@cs.umb.edu)

        * dvips.c (-D): Set mfmode to the empty string.

        * MakeTeXPK.in: Don't bother trying at +-1 now.
        * fontdef.c (newfontdesc): kpse_magstep_fix the dpi calculation.

Sun Aug  7 19:34:57 1994  Karl Berry  (karl@cs.umb.edu)

        * loadfont.c (pkopen): Free the filename if necessary.

Tue Aug  2 15:02:59 1994  Karl Berry  (karl@cs.umb.edu)

        * config.h, dvips.c (D_DB_BUILD): Replace with D_HASH.

Sun Jul 31 14:49:22 1994  Karl Berry  (karl@cs.umb.edu)

        * special.lpro (startTexFig): Set magscale to true. From Tom.

        * MakeTeXPK.in (pointsize): Improve sed expression to extract
        this. From jsacco@ssl.com.

Fri Jul 29 12:01:50 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: Use ac_include.
        (install-{exec,data}): Different strategy for ensuring always-true
        exit status.

Thu Jul 28 15:38:04 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-exec): Check for MakeTeXPK in $(scriptdir),
        not $(bindir). From john@minster.york.ac.uk.

Fri Jul 15 11:46:20 1994  Karl Berry  (karl@cs.umb.edu)

        * virtualfont.c (vfopen): Don't append .vf here, kpathsea does it.
        * tfmload.c (tfmopen): Likewise.

        * dvips.c (main): Call kpse_set_progname first.

Tue Jul  5 14:01:33 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in (DVIPSHEADERS): Set this, and export it for
        gsftopk.

Fri Jun 24 17:09:19 1994  Karl Berry  (karl@cs.umb.edu)

        * config.h (D_*): Add defns to pass to kpathsea.
        (*path): Define as the kpse enum constants.
        * most files: Remove extern char * decls of path variables.
        * search.c: Pass in the format, not the path.
        * resident.c (checkenv): #if 0 out.

Thu Jun 23 16:56:50 1994  Karl Berry  (karl@cs.umb.edu)

        * loadfont.c (pkopen): Don't set the ..._ENABLED bit; kpathsea
        does that now.
        * paths.h (*_ENVS): Move these to kpathsea.
        * dvips.c (tfmpath, pkpath, etc.): Delete these; they're in the
        kpathsea structure now.

Tue Jun 14 12:41:48 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (depend_encies): Remove.

Mon Jun 13 10:09:09 1994  Karl Berry  (karl@cs.umb.edu)

        * loadfont.c (pkopen): Don't call kpse_set_maketex_mag here,
        let kpathsea do it. Also don't set MAKETEX_DPI, it's not used.

Sat May 28 19:08:50 1994  Karl Berry  (karl@cs.umb.edu)

        * PSfonts: Rename to fonts, for consistency with dviljk.
        * Makefile.in: Change the cd's.

Thu May 26 16:29:54 1994  Karl Berry  (karl@cs.umb.edu)

        * loadfont.c (name): Make size be PATH_MAX.
        * search.c (search, pksearch): Set name.
        * virtualfont.c (name): Replace definition with extern.

        * virtualfont.c (virtualfont) [DEBUG]: Print memory stats if
        D_MEM, not D_FONTS.
        * loadfont.c (loadfont): Likewise.

        * resident.c (getpsinfo): Ignore whitespace after a <.

Tue May 24 13:14:08 1994  Karl Berry  (karl@cs.umb.edu)

        * resident.c (checkenv): Always set MAKETEX_BASE_DPI, for the sake
        of missfont.log, even if dontmakefont.

Thu Apr 28 12:14:50 1994  Karl Berry  (karl@cs.umb.edu)

        * output.c (cleanprinter): Call perror if file writing failed.

Thu Apr 21 13:24:58 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * config.h (SHORTINT): Define if SIZEOF_INT < 4.

Sun Apr 17 16:13:16 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * debug.h (fopen): Do not define this; we'll use kpathsea's fopen
        debugging support now.
        * dvips.c (main): 'd' flag calls KPSE_DEBUG_SET (KPSE_DEBUG_FOPEN).

        * Makefile.in (texc.lpro): Use $(SHELL) to run texc.script.
        (top_srcdir): Define this for configure to substitute.

Tue Apr  5 11:51:32 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in (sauterdir): Substitute for this value.
        Various other Sauter fixes from barthel@uaimzm.Mathematik.Uni-Mainz.DE.
        * Makefile.in (sauterdir): Make it a variable.

Sun Apr  3 10:21:41 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 5.55a.

Fri Apr  1 11:52:42 1994  Karl Berry  (karl@cs.umb.edu)

        * resident.c (checkenv): Allow envvars {DVIPS,TEX}SIZES to
        override the R config file line.

        * Update for dvips 5.55.

Thu Mar 24 10:43:03 1994  Karl Berry  (karl@cs.umb.edu)

        * search.c (search): must_exist is false for VF files.

Tue Mar 15 07:21:04 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (distclean): Remove PSfonts/Makefile. From John I.

Fri Mar 11 14:51:04 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in: Echo `gsftopk failed' to stderr, not stdout.

Thu Mar  3 08:51:50 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 5.528a.

Thu Feb 24 16:19:55 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (installargs): Pass fontdir and ps_fontdir.

Tue Feb 22 11:41:13 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (c-auto.h.in): Include SMART_PUTENV.

Mon Feb 21 16:47:21 1994  Karl Berry  (karl@cs.umb.edu)

        * MakeTeXPK.in: Default to appending the mode, and allow an extra
        arg to specify the destination directory. From neal.

        * dvips.c (newoutname): | means pipe.

        * afm2tfm.c: Remove declarations of exit.

        * loadfont.c (pkopen): Cast args to kpse_bitmap_tolerance for the
        sake of non-ANSI compilers.

Sun Feb 13 11:32:48 1994  Karl Berry  (karl@cs.umb.edu)

        * Update for dvips 5.528.

Wed Feb  2 09:06:20 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 5.526b.

        * loadfont.c (pkopen): Don't complain if the two dpi's can
        tolerate each other.

        * dvips.c (helparr): Mention -pp.

        * dvips.1: Change char92 to \. From karney@theory.pppl.gov.

Tue Feb  1 11:31:30 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-data): Add || true to the install_fonts, so
        Ultrix make doesn't quit prematurely.

        * Makefile.in (c-auto.h.in): New target.

Sat Jan 22 14:25:02 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 5.526a.

        * loadfont.c (pkopen): Set dontmakefont=1 at the first failure.

Thu Jan 20 14:17:04 1994  Karl Berry  (karl@cs.umb.edu)

        * search.c (search) [SECURE]: Don't allow reading of an absolute_p
        file. From maj@cl.cam.ac.uk.

Sun Jan 16 14:55:08 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (mtp_destdir): Change to $(fontdir)/pk.

Fri Jan 14 15:27:17 1994  Karl Berry  (karl@cs.umb.edu)

        * Update for dvips 5.523.

        * MakeTeXPK (MODE): Remove guess for lview monitor, that no one in
        the world uses but me.

Sat Dec 18 12:49:10 1993  Karl Berry  (karl@cs.umb.edu)

	* dvips.texi (Config File Options): Enumerate the envvars that
	override the P path. (From worsch@ira.uka.de.)

Thu Dec 16 12:32:21 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: Say where gsftopk can be ftp'd.

Fri Dec 10 15:29:34 1993  Karl Berry  (karl@cs.umb.edu)

	* finclude.c (scanvm): Remove declaration of atol, as it causes
	trouble with glibc.  From kayvan@satyr.sylvan.com.

Thu Dec  9 09:44:34 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: Add gsftopk stuff, guess ljfour for 600 dpi, allow
	user envvars to override, other cleanups. gsftopk stuff from
	R.Kooijman@et.tudelft.nl.

Tue Dec  7 14:01:30 1993  Karl Berry  (karl@cs.umb.edu)

	* loadfont.c (pkopen): Call kpse_set_maketex_mag instead of
	find_mag_str.
	* Makefile.in (objects): Remove makefont.o.

	* dvips.texi (Installation): Mention that MakeTeXPK's interface is
	different in dvipsk.

	* dvips.c (main): Make -v print the version number and exit.

Sat Nov 27 14:55:28 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (INIT_PATH): Use the current value for the default,
	also. Change calls.

	* resident.c (getdefaults): Improve error message.
	(getpath): Expand a default value here; change callers to pass
	compile-time default, instead of previous value.

Sun Nov 21 15:34:21 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (checkenv) [DEBUG]: Correct #endif placement.  From
	pnoma@wk.estec.esa.nl.

Sun Nov 14 11:56:19 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (mtp_destdir): texfontdir has been renamed.

Fri Nov 12 19:42:21 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: Document the final echo in no uncertain terms.

Thu Nov 11 10:58:41 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in (pointsize): Don't assume the fontname starts with `cm'.

Sat Nov  6 07:15:17 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: test $d should have been test -d.

Wed Nov  3 14:43:05 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.521a.

Fri Oct 29 13:24:01 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (program_rm): Take out paths.h.

Tue Oct 26 11:38:35 1993  Karl Berry  (karl@cs.umb.edu)

	* drawPS.c (arc): Consistently check for nonsquare aspect ratios.
	From Ulf.Niemeyer@fernuni-hagen.de.

Sun Oct 24 19:26:37 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (checkenv): Let TEXCONFIG override the config path,
	as it's supposed to.

Sat Oct 23 14:51:37 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: Check for the GF file being at +1 or -1 of the dpi
	we were asked for. Apparently the DC fonts are generated this way.

Fri Oct 22 13:09:29 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (checkenv): Set kpse_override_path to pkpath, so a
	config file value will be found.

	* emspecial.c, dospecial.c (atoi): Do not declare here, as it
	conflicts with the Linux system decl.

	* dvips.texi (Install): Be more precise about when config.ps and
	MakeTeXPK are overwritten.  From gv@me.umn.edu.

	* paths.h.in: Move paths to kpathsea/paths.h.in, and rename to paths.h.
	* Makefile.in (paths.h): Remove this dependency.

	* Makefile.in ($(kpathsea)): Depend on files in kpathsea_srcdir.
	(install-exec): MakeTeXPK is not in srcdir anymore.
	(install-data): The prologues aren't in srcdir. The info files
	might be in either place.
	From simon@lia.di.epfl.ch.

Tue Oct 19 12:07:25 1993  Karl Berry  (karl@cs.umb.edu)

	* MACHINES: New entries from simon.

Sat Oct  9 07:06:26 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (MakeTeXPK): Make executable.

	* Makefile.in (distclean): MakeTeXPK removed at mostlyclean now.

Thu Oct  7 09:58:48 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: Missing ", and don't assume sauterdir exists.

Wed Oct  6 08:50:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.519b.

Sat Oct  2 17:30:45 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): Don't reassign PATH, just invoke
	mkdirchain explicitly.

	* Makefile.in (dvips_makeargs): Delete, since now unused.

Fri Oct  1 07:09:29 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK.in: Don't try to put the MF command into a variable;
	quoting rules are too confused.

Wed Sep 29 15:21:49 1993    (karl@terminus.cs.umb.edu)

	* Version 5.519a.

Tue Sep 28 13:23:45 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (print_path): Don't compare char to NULL.

	* resident.c (lastresortsizes): Declare as an unsigned array.

	* loadfont.c (pkopen): ifdef out the dead code.

Sat Sep 25 11:33:21 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (mtp_destdir): New variable.
	(MakeTeXPK): New target.
	* MakeTeXPK.in: New file.

	* resident.c (getdefaults): Set envvar MAKETEX_MODE in M case.

Fri Sep 24 11:47:55 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (checkenv): Initialize kpse_fallback_font.

Thu Sep 23 17:53:48 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (checkenv): Check for DVIPSFONTS.
	* dvips.texi (Environment variables): Document it.

Sun Aug 29 11:45:52 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c: No leading spaces before #'s.

	* Makefile.in (install-*): Use $(PATH) instead of $$PATH.

	* config.h (DEBUG) [NO_DEBUG]: Define this.

Fri Aug 27 10:27:34 1993  Karl Berry  (karl@cs.umb.edu)

	* paths.h.in (DVIPS_{HEADER,PICT}_ENVS): New defines.
	* resident.c (getpath): Make a copy.
	(getdefaults): Go back to calling getpath.
	(checkenv): Change kpse_init_path calls to pass default.
	* dvips.c (*path): Initialize to default paths.

	* dvips.c (tfmpath, pkpath, vfpath, figpath, headerpath): All
	strings now, not string *'s.
	* tfmload.c (tfmpath): Likewise.

Wed Aug 25 14:35:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Update for dvips 5.519.

Sun Aug 22 19:13:42 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-data): Install the fonts last.

	* Makefile.in (install-*): mkdirchain is in the top level.

Tue Aug 10 10:34:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Remove reference to -DFONTLIB.
	(objects): Remove flib.o.

Fri Aug  6 09:04:45 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c (checkenv): Look for DVIPSHEADERS.

Thu Aug  5 09:03:31 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.518a.

	* Makefile.in (default_config_path): Add ~.

Wed Aug  4 13:50:36 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK: Announce that we're running.

	* Makefile.in: Major surgery to conform to new scheme.

Sat Jul 31 11:36:15 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Remove AC_PREFIX.

Tue Jul 27 15:00:44 1993  Karl Berry  (karl@cs.umb.edu)

	* Update for dvips 5.518.

Sun Jul 25 10:43:45 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install*): Add $(srcdir) to PATH for mkdirchain, not .

Wed Jul 21 19:46:22 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (configclean): New target.

Sun Jul 11 16:20:41 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK: Output the filename we generate to stdout, if we succeed.

Tue Jul  6 08:40:25 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK: Send all output to stderr.

Mon Jul  5 09:32:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Various configuration changes from xdvik.

	* paths.h.in (DEFAULT_{TFM,PK,VF}_PATH): Remove.

Fri Jul  2 12:00:05 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: sinclude common.ac.

Tue May 25 10:09:02 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_HAVE_HEADERS): Test for `pwd.h'.

Sat May 22 11:21:34 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Run gzip -9.

Fri May 21 10:14:25 1993  Karl Berry  (karl@cs.umb.edu)

	* resident.c: Change #if DEBUG to #ifdef.

Thu May 20 11:48:28 1993  Karl Berry  (karl@cs.umb.edu)

	* psfonts.map: Add URW fonts.

Tue May 18 13:58:55 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): mkdirchain on install dirs, and put
	mkdirchain in the dist.

Sun May 16 17:47:26 1993  Karl Berry  (karl@cs.umb.edu)

	* dvips.texi: Do paragraph indentation from command.
	* Makefile.in (MAKEINFO_FLAGS): New variable.

Mon May 10 07:13:29 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.516a.

Sun May  9 10:35:58 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (extraclean): add *.i and *.s.

Sat May  8 13:11:16 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Rewrite for kpathsea.
	* <many>.c, config.h: Use <kpathsea/foo.h> instead of "foo.h".

Tue May  4 14:56:57 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (info, dvi): New targets.

Sat May  1 16:21:41 1993  Karl Berry  (karl@cs.umb.edu)

	* Update for dvips 5.516, and kpathsea library.

Fri Apr 23 16:46:29 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_CONST): Add this.

Tue Apr 20 06:58:31 1993  Karl Berry  (karl@cs.umb.edu)

	* pathshare from web2c.

Sun Apr 11 18:57:39 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.515b.

Sat Apr 10 14:58:56 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h (UNIX_ST_NLINK): Define unless on foreign OS.

	* Makefile.in (uninstall*): New targets.

	* Makefile.in (scriptdir): New variable.
        (install): Install MakeTeXPK there.

	* configure.in: Do AC_XENIR_DIR after AC_DIR_HEADER.

Mon Mar 29 08:28:22 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.515a.

	* Makefile.in (default_tfm_path): Put . first.

Sun Mar 28 16:43:50 1993  Karl Berry  (karl@cs.umb.edu)

	* Update for dvips 5.515.

Mon Mar 22 06:12:25 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.12c.

Sun Mar 14 14:51:03 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK (MFINPUTS): Append a colon to be sure and get the
	system default path.

Sat Mar 13 11:04:26 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

Mon Mar  8 06:27:11 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.12b.

Mon Mar  1 06:26:28 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.512a.

Sun Feb 28 12:03:16 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Get lucida.sty.

Thu Feb 25 14:02:02 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK (MFINPUTS): Include the old cwd before changing to
	TEMPDIR.

Tue Feb 23 16:51:38 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Copy info files to my local info directory.

Mon Feb 22 06:19:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.499c.

Wed Feb 17 06:45:29 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (INSTALL): Use tr instead of grep to remove the
	Info control characters.

Sun Feb 14 17:11:10 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Split into install-exec and install-data.

Fri Feb 12 08:34:45 1993  Karl Berry  (karl@cs.umb.edu)

	* dvips.1: Don't refer to dvips.tex.

Tue Feb  9 20:27:50 1993  Karl Berry  (karl@cs.umb.edu)

	* MakeTeXPK: Create DESTDIR if it doesn't exist.

Sun Feb  7 10:01:25 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.499b.

	* Makefile.in (install): dir is a shell variable, not a make
	variable; fix logic for original MakeTeXPK, etc.

Tue Feb  2 11:41:10 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Don't install over a modified MakeTeXPK,
	config.ps, or psfonts.map.

	* Version 5.499a.

Sun Jan 31 07:08:44 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Allow install_subdirs to be empty.

Fri Jan 29 17:38:04 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Don't bother with `-I.'.

Wed Jan 20 07:53:36 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h (FATAL*): Now in lib.h.

	* Version 5.497c.

Mon Jan 18 08:19:57 1993  Karl Berry  (karl@cs.umb.edu)

	* PSfonts: Merge PStfms and PSvfs.

Sat Jan  9 15:21:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (configure, config.status): cd $(srcdir) first.

Sun Jan  3 19:43:20 1993  Karl Berry  (karl@cs.umb.edu)

	* config.h: Move some includes to c-std.h.

Fri Jan  1 13:57:24 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in, c-auto.h.in, c-memstr.h, dirio.h: Changes for
	new Autoconf.

Wed Dec 23 06:57:20 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 5.497b.

Thu Dec 17 07:13:35 1992  Karl Berry  (karl@cs.umb.edu)

	* dvips.c (main) [DEBUG]: Missing part of fprintf.

	* resident.c (checkenv) [DEBUG]: Had figpath instead of pkpath.

Mon Dec 14 07:27:39 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 5.497a.

Fri Dec 11 15:23:58 1992  Karl Berry  (karl@cs.umb.edu)

	* afm2tfm.c, dospecial.c, emspecial.c, finclude.c: Change ctype
	references to use uppercase macros.

Thu Dec 10 10:36:13 1992  Karl Berry  (karl@cs.umb.edu)

	* GNUmakefile.in (GNUmakefile): Add $(srcdir) to dependency, and
	use $(SHELL) instead of sh.
        (config.status): Use $(SHELL).

Tue Dec  8 07:19:52 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (.texi.info): Add `-o $@'.

Sat Dec  5 18:50:09 1992  Karl Berry  (karl@cs.umb.edu)

	* Update for version 5.497.

Sun Nov 29 17:25:52 1992  Karl Berry  (karl@cs.umb.edu)

	* finclude.c (atof) [!STDC_HEADERS]: Make declaration conditional.

Sun Nov 22 11:11:24 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Test for non-null install_subdirs.

Sat Oct 31 07:56:41 1992  Karl Berry  (karl@cs.umb.edu)

	* encodings/texm{sym,ital,ext}.enc: New files.

	* dvips.texi: Remove the `eg$ ' from examples.

Wed Oct 28 07:43:50 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 5.495b.

Tue Oct 27 06:07:20 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (.lpro.pro): Depend on squeeze; also, use a temp
	file to avoid creating empty files.

	* Makefile.in (checkenv) [DEBUG]: Conditionalize use of D_PATH.

	* Makefile.in (.texi.info): New suffix rule, to avoid use of $< in
	normal rules.

	* Makefile.in (distclean): Remove */Makefile.

Sat Oct 24 11:48:14 1992  Karl Berry  (karl@ds3.cs.umb.edu)

	* Makefile.in (install): Quote $(install_subdirs), in case it's
	been set to empty.

	* Makefile.in (texfontdir): New variable.
        (install): mkdir it and the ps subdirectories.

Sat Oct 17 16:39:02 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install_subdirs, subdirs): New variables.
        (install): make install in $(install_subdirs).
        (dist): Dist $(subdirs).
        (installargs): Make arguments to pass to subdirs.
        (ps{tfm,vf}dir): New target directories.
        * configure.in (AC_OUTPUT): Create Makefiles in the install subdirs.

	* Makefile.in (paths.h): Don't depend on Makefile and Makefile.in
	-- they change too often for other reasons than paths.

	* Makefile.in (check): New target.

	* Makefile.in (objects): Include `emspecial.o'.

	* Update for dvips 5.495.

Thu Oct 15 08:34:33 1992  Karl Berry  (karl@cs.umb.edu)

	* configure: Ran Autoconf 1.2.

Sat Oct 10 12:20:02 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Don't copy any subdirs.
        * README: Document what we've changed and what we haven't.

Wed Sep 23 07:51:13 1992  Karl Berry  (karl@cs.umb.edu)

        * Version 5.493c.

Sun Sep 20 12:52:24 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (config.status): use sh to run configure --no-create.

        * Makefile.in (realclean): OK, don't remove configure.

Thu Sep 17 07:40:27 1992  Karl Berry  (karl@hayley)

        * Version 5.493b.

Mon Sep 14 17:59:53 1992  Karl Berry  (karl@hayley)

        * Makefile.in (config.status): new target.
        (Makefile): depend on config.status.

Thu Sep 10 08:57:33 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): include COPYING*.

        * Makefile.in (realclean): remove configure.

        * MakeTeXPK: run gftopk ./<filename>, in case an old version of
          gftopk is installed.

Wed Sep  9 06:26:30 1992  Karl Berry  (karl@hayley)

        * Version 5.493a.

Tue Sep  8 16:51:25 1992  Karl Berry  (karl@hayley)

        * c-auto.h.in (_MINIX, _{ALL,POSIX,POSIX_1}_SOURCE): add #undef's
          for configure to define.

        * configure.in: test for more Unix variants.

Fri Sep  4 17:27:52 1992  Karl Berry  (karl@hayley)

        * Makefile.in (extraclean): new target.

        * Update to version 5.493.

Thu Aug 27 08:57:06 1992  Karl Berry  (karl@hayley)

        * configure: regenerated from Autoconf 1.1.

Tue Aug 11 07:00:15 1992  Karl Berry  (karl@hayley)

        * Version 5.490s.

        * Makefile.in (dist): copy MakeTeXPK.

Fri Jul 31 19:14:15 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): include our aclocal.m4.

Wed Jul 29 08:52:01 1992  Karl Berry  (karl@hayley)

        * Version 5.490r (ran pathshare).

Fri Jul 24 06:49:56 1992  Karl Berry  (karl@hayley)

        * Version 5.490q.

Wed Jul 22 09:10:03 1992  Karl Berry  (karl@hayley)

        * configure.in: update for Autoconf 1.0.

Tue Jul 21 08:52:21 1992  Karl Berry  (karl@hayley)

        * resident.c (print_path): new function.
        (checkenv): call it, if we are debugging paths.

        * resident.c (checkenv): don't reset envvars if they are already set.
        (getdefaults): pass the user envvars when setting values from the
          config files, so they will override.

Thu Jul 16 06:56:31 1992  Karl Berry  (karl@hayley)

        * Version 5.490p.

Sun Jul 12 06:20:11 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): forgot to include the config files.

Sat Jul 11 11:52:48 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): copy texinfo.tex and `adobe' from their
          original directory, instead of using the versions here.

Fri Jul 10 06:52:51 1992  Karl Berry  (karl@hayley)

        * Version 5.490o.

Thu Jul  2 15:25:00 1992  Karl Berry  (karl@hayley)

        * Makefile.in (CPPFLAGS): new variable.
        (.c.o): use it.
        (CFLAGS): define as -g.
        (cdebug): remove.
        (LDFLAGS): use CFLAGS instead of cdebug.

        * Run Autoconf 0.119.

Wed Jul  1 07:48:33 1992  Karl Berry  (karl@hayley)

        * Version 5.490n.

Sat Jun 27 11:03:09 1992  Karl Berry  (karl@hayley)

        * Makefile.in (paths.h): depend on Makefile.in and Makefile.

Thu Jun 25 09:57:54 1992  Karl Berry  (karl@hayley)

        * All these $(srcdir) changes from or inspired by zoo@cygnus.com.

        * Makefile.in (paths.h): use $(srcdir) for paths.h.in.

Wed Jun 24 11:57:21 1992  Karl Berry  (karl@hayley)

        * structures.h (BANNER): name this program kdvips.
        * Makefile.in (distdir): ditto for the directory.

        * Makefile.in (CCFLAGS): new variable to replace $(CFLAGS).
        (.c.o): new implicit rule to use it.
        (.lpro.pro): use $< instead of $*.lpro, since I
          guess it's marginally more portable.
        (texc.lpro, install): use $(srcdir).
        (Makefile): new target.

        * Makefile (install): mkdir more of the top level directories.

        * Makefile (dist): distribute the config* files (except
          config.status).

        * README: say that %-specifiers don't work.

Tue Jun 23 08:50:06 1992  Karl Berry  (karl@hayley)

        * Version 5.490m.

Fri Jun 19 09:26:14 1992  Karl Berry  (karl@hayley)

        * psfonts.map: update for new (old by now, actually) change in the
          way ExtendFont and SlantFont work.

Tue Jun 16 06:13:31 1992  Karl Berry  (karl@hayley)

        * Version 5.490l.

Sat Jun 13 07:13:07 1992  Karl Berry  (karl@hayley)

        * loadfont.c (pkopen): fix remaining sprintf-with-too-many-%'s.

Thu Jun 11 08:45:25 1992  Karl Berry  (karl@hayley)

        * Makefile.in (.NOEXPORT): new target, since Autoconf doesn't add
          it automatically any more.

Wed Jun 10 06:34:24 1992  Karl Berry  (karl@hayley)

        * Version 5.490k.

Fri Jun  5 07:58:45 1992  Karl Berry  (karl@hayley)

        * squeeze.c, afm2tfm.c (main): `return 0' instead of `exit (0)'.
          (From Paul Eggert)  Also declare as `int'.

        * Makefile (install): `black.tex' is now `blackdvi.tex', etc.

Thu Jun  4 08:25:51 1992  Karl Berry  (karl@hayley)

        * main.c (main): `return 0' instead of `exit (0)'.  (From Paul Eggert)

        * Update for dvips 5.490.

        * configure.in (AC_HEADER_FILE): rename to AC_CONFIG_HEADER, for
          Autoconf 0.115.

Wed Jun  3 08:19:53 1992  Karl Berry  (karl@hayley)

        * Version 5.487l.

Fri May 29 11:28:16 1992  Karl Berry  (karl@hayley)

        * Below changes from Paul Eggert.

        * dvips.c (main): declare as returning an int.

        * dvips.c (exit): do not declare.

        * resident.c (pagecopies) [DEBUG]: declare unconditionally.

        * resident.c (exit): do not declare.

        * unpack.c (flip): don't use a variable `howmany', since Sun has a
          macro called that.

        * config.h (FATAL): don't assume an ANSI cpp.
